## Index

### References

- ApiResponse
- BASE_PATH
- BaseAPI
- BlobApiResponse
- COLLECTION_FORMATS
- Configuration
- ConfigurationParameters
- Consume
- FetchAPI
- FetchParams
- HTTPBody
- HTTPHeaders
- HTTPMethod
- HTTPQuery
- JSONApiResponse
- Json
- Middleware
- ModelPropertyNaming
- RequestContext
- RequestOpts
- RequiredError
- ResponseContext
- ResponseTransformer
- TextApiResponse
- VoidApiResponse
- canConsumeForm
- exists
- mapValues
- querystring

### Enumerations

- GetNetworkBlockTimeByNetworkNetworkEnum
- GetTransactionListTypeEnum
- InboundStxTransferTransferTypeEnum
- RosettaCoinChangeCoinActionEnum
- RosettaPublicKeyCurveTypeEnum
- RosettaSignatureSignatureTypeEnum
- SigningPayloadSignatureTypeEnum

### Classes

- AccountsApi
- BNSApi
- BlocksApi
- BurnchainApi
- FaucetsApi
- FeeRateApi
- FeesApi
- InfoApi
- MicroblocksApi
- RosettaApi
- SearchApi
- SmartContractsApi
- TokensApi
- TransactionsApi

### Interfaces

- AccountDataResponse
- AccountsApiInterface
- AddressAssetsListResponse
- AddressBalanceResponse
- AddressBalanceResponseStx
- AddressNftListResponse
- AddressNftListResponseValue
- AddressNonces
- AddressStxInboundListResponse
- AddressTokenOfferingLocked
- AddressTransactionWithTransfers
- AddressTransactionWithTransfersFtTransfers
- AddressTransactionWithTransfersNftTransfers
- AddressTransactionWithTransfersStxTransfers
- AddressTransactionsListResponse
- AddressTransactionsWithTransfersListResponse
- AddressUnlockSchedule
- BNSApiInterface
- Block
- BlockListResponse
- BlocksApiInterface
- BnsError
- BnsGetAllNamespacesResponse
- BnsGetNameInfoResponse
- BnsGetNamePriceResponse
- BnsGetNamespacePriceResponse
- BnsNamesOwnByAddressResponse
- BurnchainApiInterface
- BurnchainReward
- BurnchainRewardListResponse
- BurnchainRewardSlotHolder
- BurnchainRewardSlotHolderListResponse
- BurnchainRewardsTotal
- CallReadOnlyFunctionRequest
- ContractInterfaceResponse
- ContractSourceResponse
- CoreNodeInfoResponse
- CoreNodePoxResponse
- FaucetsApiInterface
- FeeRate
- FeeRateApiInterface
- FeeRateRequest
- FeesApiInterface
- FetchFeeRateRequest
- FetchZoneFileRequest
- FungibleTokenMetadata
- FungibleTokensMetadataList
- GetAccountAssetsRequest
- GetAccountBalanceRequest
- GetAccountInboundRequest
- GetAccountInfoRequest
- GetAccountNftRequest
- GetAccountNoncesRequest
- GetAccountStxBalanceRequest
- GetAccountTransactionsRequest
- GetAccountTransactionsWithTransfersRequest
- GetAddressMempoolTransactionsRequest
- GetAllNamesRequest
- GetAllSubdomainsRequest
- GetBlockByBurnBlockHashRequest
- GetBlockByBurnBlockHeightRequest
- GetBlockByHashRequest
- GetBlockByHeightRequest
- GetBlockListRequest
- GetBurnchainRewardListByAddressRequest
- GetBurnchainRewardListRequest
- GetBurnchainRewardSlotHoldersByAddressRequest
- GetBurnchainRewardSlotHoldersRequest
- GetBurnchainRewardsTotalByAddressRequest
- GetContractByIdRequest
- GetContractDataMapEntryRequest
- GetContractEventsByIdRequest
- GetContractFtMetadataRequest
- GetContractInterfaceRequest
- GetContractNftMetadataRequest
- GetContractSourceRequest
- GetDroppedMempoolTransactionListRequest
- GetFtMetadataListRequest
- GetHistoricalZoneFileRequest
- GetMempoolTransactionListRequest
- GetMicroblockByHashRequest
- GetMicroblockListRequest
- GetNameHistoryRequest
- GetNameInfoRequest
- GetNamePriceRequest
- GetNamesOwnedByAddressRequest
- GetNamespaceNamesRequest
- GetNamespacePriceRequest
- GetNetworkBlockTimeByNetworkRequest
- GetNftMetadataListRequest
- GetRawTransactionByIdRequest
- GetRawTransactionResult
- GetSingleTransactionWithTransfersRequest
- GetStxSupplyLegacyFormatResponse
- GetStxSupplyRequest
- GetStxSupplyResponse
- GetSubdomainAtTransactionRequest
- GetTotalStxSupplyLegacyFormatRequest
- GetTransactionByIdRequest
- GetTransactionListRequest
- GetTransactionsByBlockHashRequest
- GetTransactionsByBlockHeightRequest
- InboundStxTransfer
- InfoApiInterface
- InlineResponse200
- MapEntryResponse
- MempoolTransactionListResponse
- Microblock
- MicroblockListResponse
- MicroblocksApiInterface
- NetworkBlockTimeResponse
- NetworkBlockTimesResponse
- NetworkBlockTimesResponseMainnet
- NetworkIdentifier
- NftEvent
- NonFungibleTokenMetadata
- NonFungibleTokensMetadataList
- OtherTransactionIdentifier
- PostCoreNodeTransactionsError
- PostCoreNodeTransactionsRequest
- ReadOnlyFunctionArgs
- ReadOnlyFunctionSuccessResponse
- RosettaAccount
- RosettaAccountBalanceOperationRequest
- RosettaAccountBalanceRequest
- RosettaAccountBalanceResponse
- RosettaAccountBalanceResponseCoinIdentifier
- RosettaAccountBalanceResponseMetadata
- RosettaAccountIdentifier
- RosettaAmount
- RosettaApiInterface
- RosettaBlock
- RosettaBlockMetadata
- RosettaBlockMetadata1
- RosettaBlockOperationRequest
- RosettaBlockRequest
- RosettaBlockResponse
- RosettaBlockTransactionOperationRequest
- RosettaBlockTransactionRequest
- RosettaBlockTransactionResponse
- RosettaCoin
- RosettaCoinChange
- RosettaConstructionCombineOperationRequest
- RosettaConstructionCombineRequest
- RosettaConstructionCombineResponse
- RosettaConstructionDeriveOperationRequest
- RosettaConstructionDeriveRequest
- RosettaConstructionDeriveResponse
- RosettaConstructionHashOperationRequest
- RosettaConstructionHashRequest
- RosettaConstructionHashResponse
- RosettaConstructionMetadataOperationRequest
- RosettaConstructionMetadataRequest
- RosettaConstructionMetadataResponse
- RosettaConstructionMetadataResponseMetadata
- RosettaConstructionParseOperationRequest
- RosettaConstructionParseRequest
- RosettaConstructionParseResponse
- RosettaConstructionPayloadResponse
- RosettaConstructionPayloadsOperationRequest
- RosettaConstructionPayloadsRequest
- RosettaConstructionPreprocessOperationRequest
- RosettaConstructionPreprocessRequest
- RosettaConstructionPreprocessResponse
- RosettaConstructionSubmitOperationRequest
- RosettaConstructionSubmitRequest
- RosettaConstructionSubmitResponse
- RosettaCurrency
- RosettaError
- RosettaErrorDetails
- RosettaErrorNoDetails
- RosettaMaxFeeAmount
- RosettaMempoolOperationRequest
- RosettaMempoolRequest
- RosettaMempoolResponse
- RosettaMempoolTransactionOperationRequest
- RosettaMempoolTransactionRequest
- RosettaMempoolTransactionResponse
- RosettaNetworkListResponse
- RosettaNetworkListResponseSubNetworkIdentifier
- RosettaNetworkListResponseSubNetworkIdentifierMetadata
- RosettaNetworkOptionsRequest
- RosettaNetworkOptionsResponse
- RosettaNetworkOptionsResponseAllow
- RosettaNetworkOptionsResponseVersion
- RosettaNetworkStatusRequest
- RosettaOperation
- RosettaOperationIdentifier
- RosettaOperationStatus
- RosettaOptions
- RosettaOptionsRequest
- RosettaParentBlockIdentifier
- RosettaPublicKey
- RosettaRelatedOperation
- RosettaSignature
- RosettaStatusRequest
- RosettaSubAccount
- RosettaTransaction
- RunFaucetBtcRequest
- RunFaucetResponse
- RunFaucetStxRequest
- SearchApiInterface
- SearchByIdRequest
- ServerStatusResponse
- SigningPayload
- SmartContractsApiInterface
- TokensApiInterface
- TransactionIdentifier
- TransactionResults
- TransactionsApiInterface
- UnanchoredTransactionListResponse

### Functions

- AccountDataResponseFromJSON
- AccountDataResponseFromJSONTyped
- AccountDataResponseToJSON
- AddressAssetsListResponseFromJSON
- AddressAssetsListResponseFromJSONTyped
- AddressAssetsListResponseToJSON
- AddressBalanceResponseFromJSON
- AddressBalanceResponseFromJSONTyped
- AddressBalanceResponseStxFromJSON
- AddressBalanceResponseStxFromJSONTyped
- AddressBalanceResponseStxToJSON
- AddressBalanceResponseToJSON
- AddressNftListResponseFromJSON
- AddressNftListResponseFromJSONTyped
- AddressNftListResponseToJSON
- AddressNftListResponseValueFromJSON
- AddressNftListResponseValueFromJSONTyped
- AddressNftListResponseValueToJSON
- AddressNoncesFromJSON
- AddressNoncesFromJSONTyped
- AddressNoncesToJSON
- AddressStxInboundListResponseFromJSON
- AddressStxInboundListResponseFromJSONTyped
- AddressStxInboundListResponseToJSON
- AddressTokenOfferingLockedFromJSON
- AddressTokenOfferingLockedFromJSONTyped
- AddressTokenOfferingLockedToJSON
- AddressTransactionWithTransfersFromJSON
- AddressTransactionWithTransfersFromJSONTyped
- AddressTransactionWithTransfersFtTransfersFromJSON
- AddressTransactionWithTransfersFtTransfersFromJSONTyped
- AddressTransactionWithTransfersFtTransfersToJSON
- AddressTransactionWithTransfersNftTransfersFromJSON
- AddressTransactionWithTransfersNftTransfersFromJSONTyped
- AddressTransactionWithTransfersNftTransfersToJSON
- AddressTransactionWithTransfersStxTransfersFromJSON
- AddressTransactionWithTransfersStxTransfersFromJSONTyped
- AddressTransactionWithTransfersStxTransfersToJSON
- AddressTransactionWithTransfersToJSON
- AddressTransactionsListResponseFromJSON
- AddressTransactionsListResponseFromJSONTyped
- AddressTransactionsListResponseToJSON
- AddressTransactionsWithTransfersListResponseFromJSON
- AddressTransactionsWithTransfersListResponseFromJSONTyped
- AddressTransactionsWithTransfersListResponseToJSON
- AddressUnlockScheduleFromJSON
- AddressUnlockScheduleFromJSONTyped
- AddressUnlockScheduleToJSON
- BlockFromJSON
- BlockFromJSONTyped
- BlockListResponseFromJSON
- BlockListResponseFromJSONTyped
- BlockListResponseToJSON
- BlockToJSON
- BnsErrorFromJSON
- BnsErrorFromJSONTyped
- BnsErrorToJSON
- BnsGetAllNamespacesResponseFromJSON
- BnsGetAllNamespacesResponseFromJSONTyped
- BnsGetAllNamespacesResponseToJSON
- BnsGetNameInfoResponseFromJSON
- BnsGetNameInfoResponseFromJSONTyped
- BnsGetNameInfoResponseToJSON
- BnsGetNamePriceResponseFromJSON
- BnsGetNamePriceResponseFromJSONTyped
- BnsGetNamePriceResponseToJSON
- BnsGetNamespacePriceResponseFromJSON
- BnsGetNamespacePriceResponseFromJSONTyped
- BnsGetNamespacePriceResponseToJSON
- BnsNamesOwnByAddressResponseFromJSON
- BnsNamesOwnByAddressResponseFromJSONTyped
- BnsNamesOwnByAddressResponseToJSON
- BurnchainRewardFromJSON
- BurnchainRewardFromJSONTyped
- BurnchainRewardListResponseFromJSON
- BurnchainRewardListResponseFromJSONTyped
- BurnchainRewardListResponseToJSON
- BurnchainRewardSlotHolderFromJSON
- BurnchainRewardSlotHolderFromJSONTyped
- BurnchainRewardSlotHolderListResponseFromJSON
- BurnchainRewardSlotHolderListResponseFromJSONTyped
- BurnchainRewardSlotHolderListResponseToJSON
- BurnchainRewardSlotHolderToJSON
- BurnchainRewardToJSON
- BurnchainRewardsTotalFromJSON
- BurnchainRewardsTotalFromJSONTyped
- BurnchainRewardsTotalToJSON
- ContractInterfaceResponseFromJSON
- ContractInterfaceResponseFromJSONTyped
- ContractInterfaceResponseToJSON
- ContractSourceResponseFromJSON
- ContractSourceResponseFromJSONTyped
- ContractSourceResponseToJSON
- CoreNodeInfoResponseFromJSON
- CoreNodeInfoResponseFromJSONTyped
- CoreNodeInfoResponseToJSON
- CoreNodePoxResponseFromJSON
- CoreNodePoxResponseFromJSONTyped
- CoreNodePoxResponseToJSON
- FeeRateFromJSON
- FeeRateFromJSONTyped
- FeeRateRequestFromJSON
- FeeRateRequestFromJSONTyped
- FeeRateRequestToJSON
- FeeRateToJSON
- FungibleTokenMetadataFromJSON
- FungibleTokenMetadataFromJSONTyped
- FungibleTokenMetadataToJSON
- FungibleTokensMetadataListFromJSON
- FungibleTokensMetadataListFromJSONTyped
- FungibleTokensMetadataListToJSON
- GetRawTransactionResultFromJSON
- GetRawTransactionResultFromJSONTyped
- GetRawTransactionResultToJSON
- GetStxSupplyLegacyFormatResponseFromJSON
- GetStxSupplyLegacyFormatResponseFromJSONTyped
- GetStxSupplyLegacyFormatResponseToJSON
- GetStxSupplyResponseFromJSON
- GetStxSupplyResponseFromJSONTyped
- GetStxSupplyResponseToJSON
- InboundStxTransferFromJSON
- InboundStxTransferFromJSONTyped
- InboundStxTransferToJSON
- InlineResponse200FromJSON
- InlineResponse200FromJSONTyped
- InlineResponse200ToJSON
- MapEntryResponseFromJSON
- MapEntryResponseFromJSONTyped
- MapEntryResponseToJSON
- MempoolTransactionListResponseFromJSON
- MempoolTransactionListResponseFromJSONTyped
- MempoolTransactionListResponseToJSON
- MicroblockFromJSON
- MicroblockFromJSONTyped
- MicroblockListResponseFromJSON
- MicroblockListResponseFromJSONTyped
- MicroblockListResponseToJSON
- MicroblockToJSON
- NetworkBlockTimeResponseFromJSON
- NetworkBlockTimeResponseFromJSONTyped
- NetworkBlockTimeResponseToJSON
- NetworkBlockTimesResponseFromJSON
- NetworkBlockTimesResponseFromJSONTyped
- NetworkBlockTimesResponseMainnetFromJSON
- NetworkBlockTimesResponseMainnetFromJSONTyped
- NetworkBlockTimesResponseMainnetToJSON
- NetworkBlockTimesResponseToJSON
- NetworkIdentifierFromJSON
- NetworkIdentifierFromJSONTyped
- NetworkIdentifierToJSON
- NftEventFromJSON
- NftEventFromJSONTyped
- NftEventToJSON
- NonFungibleTokenMetadataFromJSON
- NonFungibleTokenMetadataFromJSONTyped
- NonFungibleTokenMetadataToJSON
- NonFungibleTokensMetadataListFromJSON
- NonFungibleTokensMetadataListFromJSONTyped
- NonFungibleTokensMetadataListToJSON
- OtherTransactionIdentifierFromJSON
- OtherTransactionIdentifierFromJSONTyped
- OtherTransactionIdentifierToJSON
- PostCoreNodeTransactionsErrorFromJSON
- PostCoreNodeTransactionsErrorFromJSONTyped
- PostCoreNodeTransactionsErrorToJSON
- ReadOnlyFunctionArgsFromJSON
- ReadOnlyFunctionArgsFromJSONTyped
- ReadOnlyFunctionArgsToJSON
- ReadOnlyFunctionSuccessResponseFromJSON
- ReadOnlyFunctionSuccessResponseFromJSONTyped
- ReadOnlyFunctionSuccessResponseToJSON
- RosettaAccountBalanceRequestFromJSON
- RosettaAccountBalanceRequestFromJSONTyped
- RosettaAccountBalanceRequestToJSON
- RosettaAccountBalanceResponseCoinIdentifierFromJSON
- RosettaAccountBalanceResponseCoinIdentifierFromJSONTyped
- RosettaAccountBalanceResponseCoinIdentifierToJSON
- RosettaAccountBalanceResponseFromJSON
- RosettaAccountBalanceResponseFromJSONTyped
- RosettaAccountBalanceResponseMetadataFromJSON
- RosettaAccountBalanceResponseMetadataFromJSONTyped
- RosettaAccountBalanceResponseMetadataToJSON
- RosettaAccountBalanceResponseToJSON
- RosettaAccountFromJSON
- RosettaAccountFromJSONTyped
- RosettaAccountIdentifierFromJSON
- RosettaAccountIdentifierFromJSONTyped
- RosettaAccountIdentifierToJSON
- RosettaAccountToJSON
- RosettaAmountFromJSON
- RosettaAmountFromJSONTyped
- RosettaAmountToJSON
- RosettaBlockFromJSON
- RosettaBlockFromJSONTyped
- RosettaBlockMetadata1FromJSON
- RosettaBlockMetadata1FromJSONTyped
- RosettaBlockMetadata1ToJSON
- RosettaBlockMetadataFromJSON
- RosettaBlockMetadataFromJSONTyped
- RosettaBlockMetadataToJSON
- RosettaBlockRequestFromJSON
- RosettaBlockRequestFromJSONTyped
- RosettaBlockRequestToJSON
- RosettaBlockResponseFromJSON
- RosettaBlockResponseFromJSONTyped
- RosettaBlockResponseToJSON
- RosettaBlockToJSON
- RosettaBlockTransactionRequestFromJSON
- RosettaBlockTransactionRequestFromJSONTyped
- RosettaBlockTransactionRequestToJSON
- RosettaBlockTransactionResponseFromJSON
- RosettaBlockTransactionResponseFromJSONTyped
- RosettaBlockTransactionResponseToJSON
- RosettaCoinChangeFromJSON
- RosettaCoinChangeFromJSONTyped
- RosettaCoinChangeToJSON
- RosettaCoinFromJSON
- RosettaCoinFromJSONTyped
- RosettaCoinToJSON
- RosettaConstructionCombineRequestFromJSON
- RosettaConstructionCombineRequestFromJSONTyped
- RosettaConstructionCombineRequestToJSON
- RosettaConstructionCombineResponseFromJSON
- RosettaConstructionCombineResponseFromJSONTyped
- RosettaConstructionCombineResponseToJSON
- RosettaConstructionDeriveRequestFromJSON
- RosettaConstructionDeriveRequestFromJSONTyped
- RosettaConstructionDeriveRequestToJSON
- RosettaConstructionDeriveResponseFromJSON
- RosettaConstructionDeriveResponseFromJSONTyped
- RosettaConstructionDeriveResponseToJSON
- RosettaConstructionHashRequestFromJSON
- RosettaConstructionHashRequestFromJSONTyped
- RosettaConstructionHashRequestToJSON
- RosettaConstructionHashResponseFromJSON
- RosettaConstructionHashResponseFromJSONTyped
- RosettaConstructionHashResponseToJSON
- RosettaConstructionMetadataRequestFromJSON
- RosettaConstructionMetadataRequestFromJSONTyped
- RosettaConstructionMetadataRequestToJSON
- RosettaConstructionMetadataResponseFromJSON
- RosettaConstructionMetadataResponseFromJSONTyped
- RosettaConstructionMetadataResponseMetadataFromJSON
- RosettaConstructionMetadataResponseMetadataFromJSONTyped
- RosettaConstructionMetadataResponseMetadataToJSON
- RosettaConstructionMetadataResponseToJSON
- RosettaConstructionParseRequestFromJSON
- RosettaConstructionParseRequestFromJSONTyped
- RosettaConstructionParseRequestToJSON
- RosettaConstructionParseResponseFromJSON
- RosettaConstructionParseResponseFromJSONTyped
- RosettaConstructionParseResponseToJSON
- RosettaConstructionPayloadResponseFromJSON
- RosettaConstructionPayloadResponseFromJSONTyped
- RosettaConstructionPayloadResponseToJSON
- RosettaConstructionPayloadsRequestFromJSON
- RosettaConstructionPayloadsRequestFromJSONTyped
- RosettaConstructionPayloadsRequestToJSON
- RosettaConstructionPreprocessRequestFromJSON
- RosettaConstructionPreprocessRequestFromJSONTyped
- RosettaConstructionPreprocessRequestToJSON
- RosettaConstructionPreprocessResponseFromJSON
- RosettaConstructionPreprocessResponseFromJSONTyped
- RosettaConstructionPreprocessResponseToJSON
- RosettaConstructionSubmitRequestFromJSON
- RosettaConstructionSubmitRequestFromJSONTyped
- RosettaConstructionSubmitRequestToJSON
- RosettaConstructionSubmitResponseFromJSON
- RosettaConstructionSubmitResponseFromJSONTyped
- RosettaConstructionSubmitResponseToJSON
- RosettaCurrencyFromJSON
- RosettaCurrencyFromJSONTyped
- RosettaCurrencyToJSON
- RosettaErrorDetailsFromJSON
- RosettaErrorDetailsFromJSONTyped
- RosettaErrorDetailsToJSON
- RosettaErrorFromJSON
- RosettaErrorFromJSONTyped
- RosettaErrorNoDetailsFromJSON
- RosettaErrorNoDetailsFromJSONTyped
- RosettaErrorNoDetailsToJSON
- RosettaErrorToJSON
- RosettaMaxFeeAmountFromJSON
- RosettaMaxFeeAmountFromJSONTyped
- RosettaMaxFeeAmountToJSON
- RosettaMempoolRequestFromJSON
- RosettaMempoolRequestFromJSONTyped
- RosettaMempoolRequestToJSON
- RosettaMempoolResponseFromJSON
- RosettaMempoolResponseFromJSONTyped
- RosettaMempoolResponseToJSON
- RosettaMempoolTransactionRequestFromJSON
- RosettaMempoolTransactionRequestFromJSONTyped
- RosettaMempoolTransactionRequestToJSON
- RosettaMempoolTransactionResponseFromJSON
- RosettaMempoolTransactionResponseFromJSONTyped
- RosettaMempoolTransactionResponseToJSON
- RosettaNetworkListResponseFromJSON
- RosettaNetworkListResponseFromJSONTyped
- RosettaNetworkListResponseSubNetworkIdentifierFromJSON
- RosettaNetworkListResponseSubNetworkIdentifierFromJSONTyped
- RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSON
- RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSONTyped
- RosettaNetworkListResponseSubNetworkIdentifierMetadataToJSON
- RosettaNetworkListResponseSubNetworkIdentifierToJSON
- RosettaNetworkListResponseToJSON
- RosettaNetworkOptionsResponseAllowFromJSON
- RosettaNetworkOptionsResponseAllowFromJSONTyped
- RosettaNetworkOptionsResponseAllowToJSON
- RosettaNetworkOptionsResponseFromJSON
- RosettaNetworkOptionsResponseFromJSONTyped
- RosettaNetworkOptionsResponseToJSON
- RosettaNetworkOptionsResponseVersionFromJSON
- RosettaNetworkOptionsResponseVersionFromJSONTyped
- RosettaNetworkOptionsResponseVersionToJSON
- RosettaOperationFromJSON
- RosettaOperationFromJSONTyped
- RosettaOperationIdentifierFromJSON
- RosettaOperationIdentifierFromJSONTyped
- RosettaOperationIdentifierToJSON
- RosettaOperationStatusFromJSON
- RosettaOperationStatusFromJSONTyped
- RosettaOperationStatusToJSON
- RosettaOperationToJSON
- RosettaOptionsFromJSON
- RosettaOptionsFromJSONTyped
- RosettaOptionsRequestFromJSON
- RosettaOptionsRequestFromJSONTyped
- RosettaOptionsRequestToJSON
- RosettaOptionsToJSON
- RosettaParentBlockIdentifierFromJSON
- RosettaParentBlockIdentifierFromJSONTyped
- RosettaParentBlockIdentifierToJSON
- RosettaPublicKeyFromJSON
- RosettaPublicKeyFromJSONTyped
- RosettaPublicKeyToJSON
- RosettaRelatedOperationFromJSON
- RosettaRelatedOperationFromJSONTyped
- RosettaRelatedOperationToJSON
- RosettaSignatureFromJSON
- RosettaSignatureFromJSONTyped
- RosettaSignatureToJSON
- RosettaStatusRequestFromJSON
- RosettaStatusRequestFromJSONTyped
- RosettaStatusRequestToJSON
- RosettaSubAccountFromJSON
- RosettaSubAccountFromJSONTyped
- RosettaSubAccountToJSON
- RosettaTransactionFromJSON
- RosettaTransactionFromJSONTyped
- RosettaTransactionToJSON
- RunFaucetResponseFromJSON
- RunFaucetResponseFromJSONTyped
- RunFaucetResponseToJSON
- ServerStatusResponseFromJSON
- ServerStatusResponseFromJSONTyped
- ServerStatusResponseToJSON
- SigningPayloadFromJSON
- SigningPayloadFromJSONTyped
- SigningPayloadToJSON
- TransactionIdentifierFromJSON
- TransactionIdentifierFromJSONTyped
- TransactionIdentifierToJSON
- TransactionResultsFromJSON
- TransactionResultsFromJSONTyped
- TransactionResultsToJSON
- UnanchoredTransactionListResponseFromJSON
- UnanchoredTransactionListResponseFromJSONTyped
- UnanchoredTransactionListResponseToJSON

## References

### ApiResponse

Re-exports ApiResponse

### BASE_PATH

Re-exports BASE_PATH

### BaseAPI

Re-exports BaseAPI

### BlobApiResponse

Re-exports BlobApiResponse

### COLLECTION_FORMATS

Re-exports COLLECTION_FORMATS

### Configuration

Re-exports Configuration

### ConfigurationParameters

Re-exports ConfigurationParameters

### Consume

Re-exports Consume

### FetchAPI

Re-exports FetchAPI

### FetchParams

Re-exports FetchParams

### HTTPBody

Re-exports HTTPBody

### HTTPHeaders

Re-exports HTTPHeaders

### HTTPMethod

Re-exports HTTPMethod

### HTTPQuery

Re-exports HTTPQuery

### JSONApiResponse

Re-exports JSONApiResponse

### Json

Re-exports Json

### Middleware

Re-exports Middleware

### ModelPropertyNaming

Re-exports ModelPropertyNaming

### RequestContext

Re-exports RequestContext

### RequestOpts

Re-exports RequestOpts

### RequiredError

Re-exports RequiredError

### ResponseContext

Re-exports ResponseContext

### ResponseTransformer

Re-exports ResponseTransformer

### TextApiResponse

Re-exports TextApiResponse

### VoidApiResponse

Re-exports VoidApiResponse

### canConsumeForm

Re-exports canConsumeForm

### exists

Re-exports exists

### mapValues

Re-exports mapValues

### querystring

Re-exports querystring

## Functions

### AccountDataResponseFromJSON

- AccountDataResponseFromJSON(json: any): AccountDataResponse

- - Defined in src/generated/models/AccountDataResponse.ts:60

  #### Parameters

  - ##### json: any

  #### Returns AccountDataResponse

### AccountDataResponseFromJSONTyped

- AccountDataResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AccountDataResponse

- - Defined in src/generated/models/AccountDataResponse.ts:64

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AccountDataResponse

### AccountDataResponseToJSON

- AccountDataResponseToJSON(value?: AccountDataResponse | null): any

- - Defined in src/generated/models/AccountDataResponse.ts:79

  #### Parameters

  - ##### Optional value: AccountDataResponse | null

  #### Returns any

### AddressAssetsListResponseFromJSON

- AddressAssetsListResponseFromJSON(json: any): AddressAssetsListResponse

- - Defined in src/generated/models/AddressAssetsListResponse.ts:48

  #### Parameters

  - ##### json: any

  #### Returns AddressAssetsListResponse

### AddressAssetsListResponseFromJSONTyped

- AddressAssetsListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressAssetsListResponse

- - Defined in src/generated/models/AddressAssetsListResponse.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressAssetsListResponse

### AddressAssetsListResponseToJSON

- AddressAssetsListResponseToJSON(value?: AddressAssetsListResponse | null): any

- - Defined in src/generated/models/AddressAssetsListResponse.ts:65

  #### Parameters

  - ##### Optional value: AddressAssetsListResponse | null

  #### Returns any

### AddressBalanceResponseFromJSON

- AddressBalanceResponseFromJSON(json: any): AddressBalanceResponse

- - Defined in src/generated/models/AddressBalanceResponse.ts:59

  #### Parameters

  - ##### json: any

  #### Returns AddressBalanceResponse

### AddressBalanceResponseFromJSONTyped

- AddressBalanceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressBalanceResponse

- - Defined in src/generated/models/AddressBalanceResponse.ts:63

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressBalanceResponse

### AddressBalanceResponseStxFromJSON

- AddressBalanceResponseStxFromJSON(json: any): AddressBalanceResponseStx

- - Defined in src/generated/models/AddressBalanceResponseStx.ts:84

  #### Parameters

  - ##### json: any

  #### Returns AddressBalanceResponseStx

### AddressBalanceResponseStxFromJSONTyped

- AddressBalanceResponseStxFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressBalanceResponseStx

- - Defined in src/generated/models/AddressBalanceResponseStx.ts:88

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressBalanceResponseStx

### AddressBalanceResponseStxToJSON

- AddressBalanceResponseStxToJSON(value?: AddressBalanceResponseStx | null): any

- - Defined in src/generated/models/AddressBalanceResponseStx.ts:107

  #### Parameters

  - ##### Optional value: AddressBalanceResponseStx | null

  #### Returns any

### AddressBalanceResponseToJSON

- AddressBalanceResponseToJSON(value?: AddressBalanceResponse | null): any

- - Defined in src/generated/models/AddressBalanceResponse.ts:76

  #### Parameters

  - ##### Optional value: AddressBalanceResponse | null

  #### Returns any

### AddressNftListResponseFromJSON

- AddressNftListResponseFromJSON(json: any): AddressNftListResponse

- - Defined in src/generated/models/AddressNftListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns AddressNftListResponse

### AddressNftListResponseFromJSONTyped

- AddressNftListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressNftListResponse

- - Defined in src/generated/models/AddressNftListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressNftListResponse

### AddressNftListResponseToJSON

- AddressNftListResponseToJSON(value?: AddressNftListResponse | null): any

- - Defined in src/generated/models/AddressNftListResponse.ts:72

  #### Parameters

  - ##### Optional value: AddressNftListResponse | null

  #### Returns any

### AddressNftListResponseValueFromJSON

- AddressNftListResponseValueFromJSON(json: any): AddressNftListResponseValue

- - Defined in src/generated/models/AddressNftListResponseValue.ts:36

  #### Parameters

  - ##### json: any

  #### Returns AddressNftListResponseValue

### AddressNftListResponseValueFromJSONTyped

- AddressNftListResponseValueFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressNftListResponseValue

- - Defined in src/generated/models/AddressNftListResponseValue.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressNftListResponseValue

### AddressNftListResponseValueToJSON

- AddressNftListResponseValueToJSON(value?: AddressNftListResponseValue | null): any

- - Defined in src/generated/models/AddressNftListResponseValue.ts:51

  #### Parameters

  - ##### Optional value: AddressNftListResponseValue | null

  #### Returns any

### AddressNoncesFromJSON

- AddressNoncesFromJSON(json: any): AddressNonces

- - Defined in src/generated/models/AddressNonces.ts:48

  #### Parameters

  - ##### json: any

  #### Returns AddressNonces

### AddressNoncesFromJSONTyped

- AddressNoncesFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressNonces

- - Defined in src/generated/models/AddressNonces.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressNonces

### AddressNoncesToJSON

- AddressNoncesToJSON(value?: AddressNonces | null): any

- - Defined in src/generated/models/AddressNonces.ts:65

  #### Parameters

  - ##### Optional value: AddressNonces | null

  #### Returns any

### AddressStxInboundListResponseFromJSON

- AddressStxInboundListResponseFromJSON(json: any): AddressStxInboundListResponse

- - Defined in src/generated/models/AddressStxInboundListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns AddressStxInboundListResponse

### AddressStxInboundListResponseFromJSONTyped

- AddressStxInboundListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressStxInboundListResponse

- - Defined in src/generated/models/AddressStxInboundListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressStxInboundListResponse

### AddressStxInboundListResponseToJSON

- AddressStxInboundListResponseToJSON(value?: AddressStxInboundListResponse | null): any

- - Defined in src/generated/models/AddressStxInboundListResponse.ts:72

  #### Parameters

  - ##### Optional value: AddressStxInboundListResponse | null

  #### Returns any

### AddressTokenOfferingLockedFromJSON

- AddressTokenOfferingLockedFromJSON(json: any): AddressTokenOfferingLocked

- - Defined in src/generated/models/AddressTokenOfferingLocked.ts:49

  #### Parameters

  - ##### json: any

  #### Returns AddressTokenOfferingLocked

### AddressTokenOfferingLockedFromJSONTyped

- AddressTokenOfferingLockedFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTokenOfferingLocked

- - Defined in src/generated/models/AddressTokenOfferingLocked.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTokenOfferingLocked

### AddressTokenOfferingLockedToJSON

- AddressTokenOfferingLockedToJSON(value?: AddressTokenOfferingLocked | null): any

- - Defined in src/generated/models/AddressTokenOfferingLocked.ts:65

  #### Parameters

  - ##### Optional value: AddressTokenOfferingLocked | null

  #### Returns any

### AddressTransactionWithTransfersFromJSON

- AddressTransactionWithTransfersFromJSON(json: any): AddressTransactionWithTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfers.ts:75

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionWithTransfers

### AddressTransactionWithTransfersFromJSONTyped

- AddressTransactionWithTransfersFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionWithTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfers.ts:79

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionWithTransfers

### AddressTransactionWithTransfersFtTransfersFromJSON

- AddressTransactionWithTransfersFtTransfersFromJSON(json: any): AddressTransactionWithTransfersFtTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersFtTransfers.ts:48

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionWithTransfersFtTransfers

### AddressTransactionWithTransfersFtTransfersFromJSONTyped

- AddressTransactionWithTransfersFtTransfersFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionWithTransfersFtTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersFtTransfers.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionWithTransfersFtTransfers

### AddressTransactionWithTransfersFtTransfersToJSON

- AddressTransactionWithTransfersFtTransfersToJSON(value?: AddressTransactionWithTransfersFtTransfers | null): any

- - Defined in src/generated/models/AddressTransactionWithTransfersFtTransfers.ts:65

  #### Parameters

  - ##### Optional value: AddressTransactionWithTransfersFtTransfers | null

  #### Returns any

### AddressTransactionWithTransfersNftTransfersFromJSON

- AddressTransactionWithTransfersNftTransfersFromJSON(json: any): AddressTransactionWithTransfersNftTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersNftTransfers.ts:48

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionWithTransfersNftTransfers

### AddressTransactionWithTransfersNftTransfersFromJSONTyped

- AddressTransactionWithTransfersNftTransfersFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionWithTransfersNftTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersNftTransfers.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionWithTransfersNftTransfers

### AddressTransactionWithTransfersNftTransfersToJSON

- AddressTransactionWithTransfersNftTransfersToJSON(value?: AddressTransactionWithTransfersNftTransfers | null): any

- - Defined in src/generated/models/AddressTransactionWithTransfersNftTransfers.ts:65

  #### Parameters

  - ##### Optional value: AddressTransactionWithTransfersNftTransfers | null

  #### Returns any

### AddressTransactionWithTransfersStxTransfersFromJSON

- AddressTransactionWithTransfersStxTransfersFromJSON(json: any): AddressTransactionWithTransfersStxTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersStxTransfers.ts:42

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionWithTransfersStxTransfers

### AddressTransactionWithTransfersStxTransfersFromJSONTyped

- AddressTransactionWithTransfersStxTransfersFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionWithTransfersStxTransfers

- - Defined in src/generated/models/AddressTransactionWithTransfersStxTransfers.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionWithTransfersStxTransfers

### AddressTransactionWithTransfersStxTransfersToJSON

- AddressTransactionWithTransfersStxTransfersToJSON(value?: AddressTransactionWithTransfersStxTransfers | null): any

- - Defined in src/generated/models/AddressTransactionWithTransfersStxTransfers.ts:58

  #### Parameters

  - ##### Optional value: AddressTransactionWithTransfersStxTransfers | null

  #### Returns any

### AddressTransactionWithTransfersToJSON

- AddressTransactionWithTransfersToJSON(value?: AddressTransactionWithTransfers | null): any

- - Defined in src/generated/models/AddressTransactionWithTransfers.ts:94

  #### Parameters

  - ##### Optional value: AddressTransactionWithTransfers | null

  #### Returns any

### AddressTransactionsListResponseFromJSON

- AddressTransactionsListResponseFromJSON(json: any): AddressTransactionsListResponse

- - Defined in src/generated/models/AddressTransactionsListResponse.ts:48

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionsListResponse

### AddressTransactionsListResponseFromJSONTyped

- AddressTransactionsListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionsListResponse

- - Defined in src/generated/models/AddressTransactionsListResponse.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionsListResponse

### AddressTransactionsListResponseToJSON

- AddressTransactionsListResponseToJSON(value?: AddressTransactionsListResponse | null): any

- - Defined in src/generated/models/AddressTransactionsListResponse.ts:65

  #### Parameters

  - ##### Optional value: AddressTransactionsListResponse | null

  #### Returns any

### AddressTransactionsWithTransfersListResponseFromJSON

- AddressTransactionsWithTransfersListResponseFromJSON(json: any): AddressTransactionsWithTransfersListResponse

- - Defined in src/generated/models/AddressTransactionsWithTransfersListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns AddressTransactionsWithTransfersListResponse

### AddressTransactionsWithTransfersListResponseFromJSONTyped

- AddressTransactionsWithTransfersListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressTransactionsWithTransfersListResponse

- - Defined in src/generated/models/AddressTransactionsWithTransfersListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressTransactionsWithTransfersListResponse

### AddressTransactionsWithTransfersListResponseToJSON

- AddressTransactionsWithTransfersListResponseToJSON(value?: AddressTransactionsWithTransfersListResponse | null): any

- - Defined in src/generated/models/AddressTransactionsWithTransfersListResponse.ts:72

  #### Parameters

  - ##### Optional value: AddressTransactionsWithTransfersListResponse | null

  #### Returns any

### AddressUnlockScheduleFromJSON

- AddressUnlockScheduleFromJSON(json: any): AddressUnlockSchedule

- - Defined in src/generated/models/AddressUnlockSchedule.ts:36

  #### Parameters

  - ##### json: any

  #### Returns AddressUnlockSchedule

### AddressUnlockScheduleFromJSONTyped

- AddressUnlockScheduleFromJSONTyped(json: any, ignoreDiscriminator: boolean): AddressUnlockSchedule

- - Defined in src/generated/models/AddressUnlockSchedule.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns AddressUnlockSchedule

### AddressUnlockScheduleToJSON

- AddressUnlockScheduleToJSON(value?: AddressUnlockSchedule | null): any

- - Defined in src/generated/models/AddressUnlockSchedule.ts:51

  #### Parameters

  - ##### Optional value: AddressUnlockSchedule | null

  #### Returns any

### BlockFromJSON

- BlockFromJSON(json: any): Block

- - Defined in src/generated/models/Block.ts:138

  #### Parameters

  - ##### json: any

  #### Returns Block

### BlockFromJSONTyped

- BlockFromJSONTyped(json: any, ignoreDiscriminator: boolean): Block

- - Defined in src/generated/models/Block.ts:142

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns Block

### BlockListResponseFromJSON

- BlockListResponseFromJSON(json: any): BlockListResponse

- - Defined in src/generated/models/BlockListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns BlockListResponse

### BlockListResponseFromJSONTyped

- BlockListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BlockListResponse

- - Defined in src/generated/models/BlockListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BlockListResponse

### BlockListResponseToJSON

- BlockListResponseToJSON(value?: BlockListResponse | null): any

- - Defined in src/generated/models/BlockListResponse.ts:72

  #### Parameters

  - ##### Optional value: BlockListResponse | null

  #### Returns any

### BlockToJSON

- BlockToJSON(value?: Block | null): any

- - Defined in src/generated/models/Block.ts:170

  #### Parameters

  - ##### Optional value: Block | null

  #### Returns any

### BnsErrorFromJSON

- BnsErrorFromJSON(json: any): BnsError

- - Defined in src/generated/models/BnsError.ts:30

  #### Parameters

  - ##### json: any

  #### Returns BnsError

### BnsErrorFromJSONTyped

- BnsErrorFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsError

- - Defined in src/generated/models/BnsError.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsError

### BnsErrorToJSON

- BnsErrorToJSON(value?: BnsError | null): any

- - Defined in src/generated/models/BnsError.ts:44

  #### Parameters

  - ##### Optional value: BnsError | null

  #### Returns any

### BnsGetAllNamespacesResponseFromJSON

- BnsGetAllNamespacesResponseFromJSON(json: any): BnsGetAllNamespacesResponse

- - Defined in src/generated/models/BnsGetAllNamespacesResponse.ts:30

  #### Parameters

  - ##### json: any

  #### Returns BnsGetAllNamespacesResponse

### BnsGetAllNamespacesResponseFromJSONTyped

- BnsGetAllNamespacesResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsGetAllNamespacesResponse

- - Defined in src/generated/models/BnsGetAllNamespacesResponse.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsGetAllNamespacesResponse

### BnsGetAllNamespacesResponseToJSON

- BnsGetAllNamespacesResponseToJSON(value?: BnsGetAllNamespacesResponse | null): any

- - Defined in src/generated/models/BnsGetAllNamespacesResponse.ts:44

  #### Parameters

  - ##### Optional value: BnsGetAllNamespacesResponse | null

  #### Returns any

### BnsGetNameInfoResponseFromJSON

- BnsGetNameInfoResponseFromJSON(json: any): BnsGetNameInfoResponse

- - Defined in src/generated/models/BnsGetNameInfoResponse.ts:78

  #### Parameters

  - ##### json: any

  #### Returns BnsGetNameInfoResponse

### BnsGetNameInfoResponseFromJSONTyped

- BnsGetNameInfoResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsGetNameInfoResponse

- - Defined in src/generated/models/BnsGetNameInfoResponse.ts:82

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsGetNameInfoResponse

### BnsGetNameInfoResponseToJSON

- BnsGetNameInfoResponseToJSON(value?: BnsGetNameInfoResponse | null): any

- - Defined in src/generated/models/BnsGetNameInfoResponse.ts:100

  #### Parameters

  - ##### Optional value: BnsGetNameInfoResponse | null

  #### Returns any

### BnsGetNamePriceResponseFromJSON

- BnsGetNamePriceResponseFromJSON(json: any): BnsGetNamePriceResponse

- - Defined in src/generated/models/BnsGetNamePriceResponse.ts:36

  #### Parameters

  - ##### json: any

  #### Returns BnsGetNamePriceResponse

### BnsGetNamePriceResponseFromJSONTyped

- BnsGetNamePriceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsGetNamePriceResponse

- - Defined in src/generated/models/BnsGetNamePriceResponse.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsGetNamePriceResponse

### BnsGetNamePriceResponseToJSON

- BnsGetNamePriceResponseToJSON(value?: BnsGetNamePriceResponse | null): any

- - Defined in src/generated/models/BnsGetNamePriceResponse.ts:51

  #### Parameters

  - ##### Optional value: BnsGetNamePriceResponse | null

  #### Returns any

### BnsGetNamespacePriceResponseFromJSON

- BnsGetNamespacePriceResponseFromJSON(json: any): BnsGetNamespacePriceResponse

- - Defined in src/generated/models/BnsGetNamespacePriceResponse.ts:36

  #### Parameters

  - ##### json: any

  #### Returns BnsGetNamespacePriceResponse

### BnsGetNamespacePriceResponseFromJSONTyped

- BnsGetNamespacePriceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsGetNamespacePriceResponse

- - Defined in src/generated/models/BnsGetNamespacePriceResponse.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsGetNamespacePriceResponse

### BnsGetNamespacePriceResponseToJSON

- BnsGetNamespacePriceResponseToJSON(value?: BnsGetNamespacePriceResponse | null): any

- - Defined in src/generated/models/BnsGetNamespacePriceResponse.ts:51

  #### Parameters

  - ##### Optional value: BnsGetNamespacePriceResponse | null

  #### Returns any

### BnsNamesOwnByAddressResponseFromJSON

- BnsNamesOwnByAddressResponseFromJSON(json: any): BnsNamesOwnByAddressResponse

- - Defined in src/generated/models/BnsNamesOwnByAddressResponse.ts:30

  #### Parameters

  - ##### json: any

  #### Returns BnsNamesOwnByAddressResponse

### BnsNamesOwnByAddressResponseFromJSONTyped

- BnsNamesOwnByAddressResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BnsNamesOwnByAddressResponse

- - Defined in src/generated/models/BnsNamesOwnByAddressResponse.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BnsNamesOwnByAddressResponse

### BnsNamesOwnByAddressResponseToJSON

- BnsNamesOwnByAddressResponseToJSON(value?: BnsNamesOwnByAddressResponse | null): any

- - Defined in src/generated/models/BnsNamesOwnByAddressResponse.ts:44

  #### Parameters

  - ##### Optional value: BnsNamesOwnByAddressResponse | null

  #### Returns any

### BurnchainRewardFromJSON

- BurnchainRewardFromJSON(json: any): BurnchainReward

- - Defined in src/generated/models/BurnchainReward.ts:66

  #### Parameters

  - ##### json: any

  #### Returns BurnchainReward

### BurnchainRewardFromJSONTyped

- BurnchainRewardFromJSONTyped(json: any, ignoreDiscriminator: boolean): BurnchainReward

- - Defined in src/generated/models/BurnchainReward.ts:70

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BurnchainReward

### BurnchainRewardListResponseFromJSON

- BurnchainRewardListResponseFromJSON(json: any): BurnchainRewardListResponse

- - Defined in src/generated/models/BurnchainRewardListResponse.ts:49

  #### Parameters

  - ##### json: any

  #### Returns BurnchainRewardListResponse

### BurnchainRewardListResponseFromJSONTyped

- BurnchainRewardListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BurnchainRewardListResponse

- - Defined in src/generated/models/BurnchainRewardListResponse.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BurnchainRewardListResponse

### BurnchainRewardListResponseToJSON

- BurnchainRewardListResponseToJSON(value?: BurnchainRewardListResponse | null): any

- - Defined in src/generated/models/BurnchainRewardListResponse.ts:65

  #### Parameters

  - ##### Optional value: BurnchainRewardListResponse | null

  #### Returns any

### BurnchainRewardSlotHolderFromJSON

- BurnchainRewardSlotHolderFromJSON(json: any): BurnchainRewardSlotHolder

- - Defined in src/generated/models/BurnchainRewardSlotHolder.ts:54

  #### Parameters

  - ##### json: any

  #### Returns BurnchainRewardSlotHolder

### BurnchainRewardSlotHolderFromJSONTyped

- BurnchainRewardSlotHolderFromJSONTyped(json: any, ignoreDiscriminator: boolean): BurnchainRewardSlotHolder

- - Defined in src/generated/models/BurnchainRewardSlotHolder.ts:58

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BurnchainRewardSlotHolder

### BurnchainRewardSlotHolderListResponseFromJSON

- BurnchainRewardSlotHolderListResponseFromJSON(json: any): BurnchainRewardSlotHolderListResponse

- - Defined in src/generated/models/BurnchainRewardSlotHolderListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns BurnchainRewardSlotHolderListResponse

### BurnchainRewardSlotHolderListResponseFromJSONTyped

- BurnchainRewardSlotHolderListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): BurnchainRewardSlotHolderListResponse

- - Defined in src/generated/models/BurnchainRewardSlotHolderListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BurnchainRewardSlotHolderListResponse

### BurnchainRewardSlotHolderListResponseToJSON

- BurnchainRewardSlotHolderListResponseToJSON(value?: BurnchainRewardSlotHolderListResponse | null): any

- - Defined in src/generated/models/BurnchainRewardSlotHolderListResponse.ts:72

  #### Parameters

  - ##### Optional value: BurnchainRewardSlotHolderListResponse | null

  #### Returns any

### BurnchainRewardSlotHolderToJSON

- BurnchainRewardSlotHolderToJSON(value?: BurnchainRewardSlotHolder | null): any

- - Defined in src/generated/models/BurnchainRewardSlotHolder.ts:72

  #### Parameters

  - ##### Optional value: BurnchainRewardSlotHolder | null

  #### Returns any

### BurnchainRewardToJSON

- BurnchainRewardToJSON(value?: BurnchainReward | null): any

- - Defined in src/generated/models/BurnchainReward.ts:86

  #### Parameters

  - ##### Optional value: BurnchainReward | null

  #### Returns any

### BurnchainRewardsTotalFromJSON

- BurnchainRewardsTotalFromJSON(json: any): BurnchainRewardsTotal

- - Defined in src/generated/models/BurnchainRewardsTotal.ts:36

  #### Parameters

  - ##### json: any

  #### Returns BurnchainRewardsTotal

### BurnchainRewardsTotalFromJSONTyped

- BurnchainRewardsTotalFromJSONTyped(json: any, ignoreDiscriminator: boolean): BurnchainRewardsTotal

- - Defined in src/generated/models/BurnchainRewardsTotal.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns BurnchainRewardsTotal

### BurnchainRewardsTotalToJSON

- BurnchainRewardsTotalToJSON(value?: BurnchainRewardsTotal | null): any

- - Defined in src/generated/models/BurnchainRewardsTotal.ts:51

  #### Parameters

  - ##### Optional value: BurnchainRewardsTotal | null

  #### Returns any

### ContractInterfaceResponseFromJSON

- ContractInterfaceResponseFromJSON(json: any): ContractInterfaceResponse

- - Defined in src/generated/models/ContractInterfaceResponse.ts:54

  #### Parameters

  - ##### json: any

  #### Returns ContractInterfaceResponse

### ContractInterfaceResponseFromJSONTyped

- ContractInterfaceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): ContractInterfaceResponse

- - Defined in src/generated/models/ContractInterfaceResponse.ts:58

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns ContractInterfaceResponse

### ContractInterfaceResponseToJSON

- ContractInterfaceResponseToJSON(value?: ContractInterfaceResponse | null): any

- - Defined in src/generated/models/ContractInterfaceResponse.ts:72

  #### Parameters

  - ##### Optional value: ContractInterfaceResponse | null

  #### Returns any

### ContractSourceResponseFromJSON

- ContractSourceResponseFromJSON(json: any): ContractSourceResponse

- - Defined in src/generated/models/ContractSourceResponse.ts:42

  #### Parameters

  - ##### json: any

  #### Returns ContractSourceResponse

### ContractSourceResponseFromJSONTyped

- ContractSourceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): ContractSourceResponse

- - Defined in src/generated/models/ContractSourceResponse.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns ContractSourceResponse

### ContractSourceResponseToJSON

- ContractSourceResponseToJSON(value?: ContractSourceResponse | null): any

- - Defined in src/generated/models/ContractSourceResponse.ts:58

  #### Parameters

  - ##### Optional value: ContractSourceResponse | null

  #### Returns any

### CoreNodeInfoResponseFromJSON

- CoreNodeInfoResponseFromJSON(json: any): CoreNodeInfoResponse

- - Defined in src/generated/models/CoreNodeInfoResponse.ts:102

  #### Parameters

  - ##### json: any

  #### Returns CoreNodeInfoResponse

### CoreNodeInfoResponseFromJSONTyped

- CoreNodeInfoResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): CoreNodeInfoResponse

- - Defined in src/generated/models/CoreNodeInfoResponse.ts:106

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns CoreNodeInfoResponse

### CoreNodeInfoResponseToJSON

- CoreNodeInfoResponseToJSON(value?: CoreNodeInfoResponse | null): any

- - Defined in src/generated/models/CoreNodeInfoResponse.ts:128

  #### Parameters

  - ##### Optional value: CoreNodeInfoResponse | null

  #### Returns any

### CoreNodePoxResponseFromJSON

- CoreNodePoxResponseFromJSON(json: any): CoreNodePoxResponse

- - Defined in src/generated/models/CoreNodePoxResponse.ts:78

  #### Parameters

  - ##### json: any

  #### Returns CoreNodePoxResponse

### CoreNodePoxResponseFromJSONTyped

- CoreNodePoxResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): CoreNodePoxResponse

- - Defined in src/generated/models/CoreNodePoxResponse.ts:82

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns CoreNodePoxResponse

### CoreNodePoxResponseToJSON

- CoreNodePoxResponseToJSON(value?: CoreNodePoxResponse | null): any

- - Defined in src/generated/models/CoreNodePoxResponse.ts:100

  #### Parameters

  - ##### Optional value: CoreNodePoxResponse | null

  #### Returns any

### FeeRateFromJSON

- FeeRateFromJSON(json: any): FeeRate

- - Defined in src/generated/models/FeeRate.ts:30

  #### Parameters

  - ##### json: any

  #### Returns FeeRate

### FeeRateFromJSONTyped

- FeeRateFromJSONTyped(json: any, ignoreDiscriminator: boolean): FeeRate

- - Defined in src/generated/models/FeeRate.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns FeeRate

### FeeRateRequestFromJSON

- FeeRateRequestFromJSON(json: any): FeeRateRequest

- - Defined in src/generated/models/FeeRateRequest.ts:30

  #### Parameters

  - ##### json: any

  #### Returns FeeRateRequest

### FeeRateRequestFromJSONTyped

- FeeRateRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): FeeRateRequest

- - Defined in src/generated/models/FeeRateRequest.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns FeeRateRequest

### FeeRateRequestToJSON

- FeeRateRequestToJSON(value?: FeeRateRequest | null): any

- - Defined in src/generated/models/FeeRateRequest.ts:44

  #### Parameters

  - ##### Optional value: FeeRateRequest | null

  #### Returns any

### FeeRateToJSON

- FeeRateToJSON(value?: FeeRate | null): any

- - Defined in src/generated/models/FeeRate.ts:44

  #### Parameters

  - ##### Optional value: FeeRate | null

  #### Returns any

### FungibleTokenMetadataFromJSON

- FungibleTokenMetadataFromJSON(json: any): FungibleTokenMetadata

- - Defined in src/generated/models/FungibleTokenMetadata.ts:78

  #### Parameters

  - ##### json: any

  #### Returns FungibleTokenMetadata

### FungibleTokenMetadataFromJSONTyped

- FungibleTokenMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): FungibleTokenMetadata

- - Defined in src/generated/models/FungibleTokenMetadata.ts:82

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns FungibleTokenMetadata

### FungibleTokenMetadataToJSON

- FungibleTokenMetadataToJSON(value?: FungibleTokenMetadata | null): any

- - Defined in src/generated/models/FungibleTokenMetadata.ts:100

  #### Parameters

  - ##### Optional value: FungibleTokenMetadata | null

  #### Returns any

### FungibleTokensMetadataListFromJSON

- FungibleTokensMetadataListFromJSON(json: any): FungibleTokensMetadataList

- - Defined in src/generated/models/FungibleTokensMetadataList.ts:55

  #### Parameters

  - ##### json: any

  #### Returns FungibleTokensMetadataList

### FungibleTokensMetadataListFromJSONTyped

- FungibleTokensMetadataListFromJSONTyped(json: any, ignoreDiscriminator: boolean): FungibleTokensMetadataList

- - Defined in src/generated/models/FungibleTokensMetadataList.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns FungibleTokensMetadataList

### FungibleTokensMetadataListToJSON

- FungibleTokensMetadataListToJSON(value?: FungibleTokensMetadataList | null): any

- - Defined in src/generated/models/FungibleTokensMetadataList.ts:72

  #### Parameters

  - ##### Optional value: FungibleTokensMetadataList | null

  #### Returns any

### GetRawTransactionResultFromJSON

- GetRawTransactionResultFromJSON(json: any): GetRawTransactionResult

- - Defined in src/generated/models/GetRawTransactionResult.ts:30

  #### Parameters

  - ##### json: any

  #### Returns GetRawTransactionResult

### GetRawTransactionResultFromJSONTyped

- GetRawTransactionResultFromJSONTyped(json: any, ignoreDiscriminator: boolean): GetRawTransactionResult

- - Defined in src/generated/models/GetRawTransactionResult.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns GetRawTransactionResult

### GetRawTransactionResultToJSON

- GetRawTransactionResultToJSON(value?: GetRawTransactionResult | null): any

- - Defined in src/generated/models/GetRawTransactionResult.ts:44

  #### Parameters

  - ##### Optional value: GetRawTransactionResult | null

  #### Returns any

### GetStxSupplyLegacyFormatResponseFromJSON

- GetStxSupplyLegacyFormatResponseFromJSON(json: any): GetStxSupplyLegacyFormatResponse

- - Defined in src/generated/models/GetStxSupplyLegacyFormatResponse.ts:60

  #### Parameters

  - ##### json: any

  #### Returns GetStxSupplyLegacyFormatResponse

### GetStxSupplyLegacyFormatResponseFromJSONTyped

- GetStxSupplyLegacyFormatResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): GetStxSupplyLegacyFormatResponse

- - Defined in src/generated/models/GetStxSupplyLegacyFormatResponse.ts:64

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns GetStxSupplyLegacyFormatResponse

### GetStxSupplyLegacyFormatResponseToJSON

- GetStxSupplyLegacyFormatResponseToJSON(value?: GetStxSupplyLegacyFormatResponse | null): any

- - Defined in src/generated/models/GetStxSupplyLegacyFormatResponse.ts:79

  #### Parameters

  - ##### Optional value: GetStxSupplyLegacyFormatResponse | null

  #### Returns any

### GetStxSupplyResponseFromJSON

- GetStxSupplyResponseFromJSON(json: any): GetStxSupplyResponse

- - Defined in src/generated/models/GetStxSupplyResponse.ts:48

  #### Parameters

  - ##### json: any

  #### Returns GetStxSupplyResponse

### GetStxSupplyResponseFromJSONTyped

- GetStxSupplyResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): GetStxSupplyResponse

- - Defined in src/generated/models/GetStxSupplyResponse.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns GetStxSupplyResponse

### GetStxSupplyResponseToJSON

- GetStxSupplyResponseToJSON(value?: GetStxSupplyResponse | null): any

- - Defined in src/generated/models/GetStxSupplyResponse.ts:65

  #### Parameters

  - ##### Optional value: GetStxSupplyResponse | null

  #### Returns any

### InboundStxTransferFromJSON

- InboundStxTransferFromJSON(json: any): InboundStxTransfer

- - Defined in src/generated/models/InboundStxTransfer.ts:75

  #### Parameters

  - ##### json: any

  #### Returns InboundStxTransfer

### InboundStxTransferFromJSONTyped

- InboundStxTransferFromJSONTyped(json: any, ignoreDiscriminator: boolean): InboundStxTransfer

- - Defined in src/generated/models/InboundStxTransfer.ts:79

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns InboundStxTransfer

### InboundStxTransferToJSON

- InboundStxTransferToJSON(value?: InboundStxTransfer | null): any

- - Defined in src/generated/models/InboundStxTransfer.ts:95

  #### Parameters

  - ##### Optional value: InboundStxTransfer | null

  #### Returns any

### InlineResponse200FromJSON

- InlineResponse200FromJSON(json: any): InlineResponse200

- - Defined in src/generated/models/InlineResponse200.ts:108

  #### Parameters

  - ##### json: any

  #### Returns InlineResponse200

### InlineResponse200FromJSONTyped

- InlineResponse200FromJSONTyped(json: any, ignoreDiscriminator: boolean): InlineResponse200

- - Defined in src/generated/models/InlineResponse200.ts:112

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns InlineResponse200

### InlineResponse200ToJSON

- InlineResponse200ToJSON(value?: InlineResponse200 | null): any

- - Defined in src/generated/models/InlineResponse200.ts:135

  #### Parameters

  - ##### Optional value: InlineResponse200 | null

  #### Returns any

### MapEntryResponseFromJSON

- MapEntryResponseFromJSON(json: any): MapEntryResponse

- - Defined in src/generated/models/MapEntryResponse.ts:36

  #### Parameters

  - ##### json: any

  #### Returns MapEntryResponse

### MapEntryResponseFromJSONTyped

- MapEntryResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): MapEntryResponse

- - Defined in src/generated/models/MapEntryResponse.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns MapEntryResponse

### MapEntryResponseToJSON

- MapEntryResponseToJSON(value?: MapEntryResponse | null): any

- - Defined in src/generated/models/MapEntryResponse.ts:51

  #### Parameters

  - ##### Optional value: MapEntryResponse | null

  #### Returns any

### MempoolTransactionListResponseFromJSON

- MempoolTransactionListResponseFromJSON(json: any): MempoolTransactionListResponse

- - Defined in src/generated/models/MempoolTransactionListResponse.ts:48

  #### Parameters

  - ##### json: any

  #### Returns MempoolTransactionListResponse

### MempoolTransactionListResponseFromJSONTyped

- MempoolTransactionListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): MempoolTransactionListResponse

- - Defined in src/generated/models/MempoolTransactionListResponse.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns MempoolTransactionListResponse

### MempoolTransactionListResponseToJSON

- MempoolTransactionListResponseToJSON(value?: MempoolTransactionListResponse | null): any

- - Defined in src/generated/models/MempoolTransactionListResponse.ts:65

  #### Parameters

  - ##### Optional value: MempoolTransactionListResponse | null

  #### Returns any

### MicroblockFromJSON

- MicroblockFromJSON(json: any): Microblock

- - Defined in src/generated/models/Microblock.ts:108

  #### Parameters

  - ##### json: any

  #### Returns Microblock

### MicroblockFromJSONTyped

- MicroblockFromJSONTyped(json: any, ignoreDiscriminator: boolean): Microblock

- - Defined in src/generated/models/Microblock.ts:112

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns Microblock

### MicroblockListResponseFromJSON

- MicroblockListResponseFromJSON(json: any): MicroblockListResponse

- - Defined in src/generated/models/MicroblockListResponse.ts:55

  #### Parameters

  - ##### json: any

  #### Returns MicroblockListResponse

### MicroblockListResponseFromJSONTyped

- MicroblockListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): MicroblockListResponse

- - Defined in src/generated/models/MicroblockListResponse.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns MicroblockListResponse

### MicroblockListResponseToJSON

- MicroblockListResponseToJSON(value?: MicroblockListResponse | null): any

- - Defined in src/generated/models/MicroblockListResponse.ts:72

  #### Parameters

  - ##### Optional value: MicroblockListResponse | null

  #### Returns any

### MicroblockToJSON

- MicroblockToJSON(value?: Microblock | null): any

- - Defined in src/generated/models/Microblock.ts:135

  #### Parameters

  - ##### Optional value: Microblock | null

  #### Returns any

### NetworkBlockTimeResponseFromJSON

- NetworkBlockTimeResponseFromJSON(json: any): NetworkBlockTimeResponse

- - Defined in src/generated/models/NetworkBlockTimeResponse.ts:30

  #### Parameters

  - ##### json: any

  #### Returns NetworkBlockTimeResponse

### NetworkBlockTimeResponseFromJSONTyped

- NetworkBlockTimeResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): NetworkBlockTimeResponse

- - Defined in src/generated/models/NetworkBlockTimeResponse.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NetworkBlockTimeResponse

### NetworkBlockTimeResponseToJSON

- NetworkBlockTimeResponseToJSON(value?: NetworkBlockTimeResponse | null): any

- - Defined in src/generated/models/NetworkBlockTimeResponse.ts:44

  #### Parameters

  - ##### Optional value: NetworkBlockTimeResponse | null

  #### Returns any

### NetworkBlockTimesResponseFromJSON

- NetworkBlockTimesResponseFromJSON(json: any): NetworkBlockTimesResponse

- - Defined in src/generated/models/NetworkBlockTimesResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns NetworkBlockTimesResponse

### NetworkBlockTimesResponseFromJSONTyped

- NetworkBlockTimesResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): NetworkBlockTimesResponse

- - Defined in src/generated/models/NetworkBlockTimesResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NetworkBlockTimesResponse

### NetworkBlockTimesResponseMainnetFromJSON

- NetworkBlockTimesResponseMainnetFromJSON(json: any): NetworkBlockTimesResponseMainnet

- - Defined in src/generated/models/NetworkBlockTimesResponseMainnet.ts:30

  #### Parameters

  - ##### json: any

  #### Returns NetworkBlockTimesResponseMainnet

### NetworkBlockTimesResponseMainnetFromJSONTyped

- NetworkBlockTimesResponseMainnetFromJSONTyped(json: any, ignoreDiscriminator: boolean): NetworkBlockTimesResponseMainnet

- - Defined in src/generated/models/NetworkBlockTimesResponseMainnet.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NetworkBlockTimesResponseMainnet

### NetworkBlockTimesResponseMainnetToJSON

- NetworkBlockTimesResponseMainnetToJSON(value?: NetworkBlockTimesResponseMainnet | null): any

- - Defined in src/generated/models/NetworkBlockTimesResponseMainnet.ts:44

  #### Parameters

  - ##### Optional value: NetworkBlockTimesResponseMainnet | null

  #### Returns any

### NetworkBlockTimesResponseToJSON

- NetworkBlockTimesResponseToJSON(value?: NetworkBlockTimesResponse | null): any

- - Defined in src/generated/models/NetworkBlockTimesResponse.ts:58

  #### Parameters

  - ##### Optional value: NetworkBlockTimesResponse | null

  #### Returns any

### NetworkIdentifierFromJSON

- NetworkIdentifierFromJSON(json: any): NetworkIdentifier

- - Defined in src/generated/models/NetworkIdentifier.ts:49

  #### Parameters

  - ##### json: any

  #### Returns NetworkIdentifier

### NetworkIdentifierFromJSONTyped

- NetworkIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): NetworkIdentifier

- - Defined in src/generated/models/NetworkIdentifier.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NetworkIdentifier

### NetworkIdentifierToJSON

- NetworkIdentifierToJSON(value?: NetworkIdentifier | null): any

- - Defined in src/generated/models/NetworkIdentifier.ts:65

  #### Parameters

  - ##### Optional value: NetworkIdentifier | null

  #### Returns any

### NftEventFromJSON

- NftEventFromJSON(json: any): NftEvent

- - Defined in src/generated/models/NftEvent.ts:67

  #### Parameters

  - ##### json: any

  #### Returns NftEvent

### NftEventFromJSONTyped

- NftEventFromJSONTyped(json: any, ignoreDiscriminator: boolean): NftEvent

- - Defined in src/generated/models/NftEvent.ts:71

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NftEvent

### NftEventToJSON

- NftEventToJSON(value?: NftEvent | null): any

- - Defined in src/generated/models/NftEvent.ts:86

  #### Parameters

  - ##### Optional value: NftEvent | null

  #### Returns any

### NonFungibleTokenMetadataFromJSON

- NonFungibleTokenMetadataFromJSON(json: any): NonFungibleTokenMetadata

- - Defined in src/generated/models/NonFungibleTokenMetadata.ts:66

  #### Parameters

  - ##### json: any

  #### Returns NonFungibleTokenMetadata

### NonFungibleTokenMetadataFromJSONTyped

- NonFungibleTokenMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): NonFungibleTokenMetadata

- - Defined in src/generated/models/NonFungibleTokenMetadata.ts:70

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NonFungibleTokenMetadata

### NonFungibleTokenMetadataToJSON

- NonFungibleTokenMetadataToJSON(value?: NonFungibleTokenMetadata | null): any

- - Defined in src/generated/models/NonFungibleTokenMetadata.ts:86

  #### Parameters

  - ##### Optional value: NonFungibleTokenMetadata | null

  #### Returns any

### NonFungibleTokensMetadataListFromJSON

- NonFungibleTokensMetadataListFromJSON(json: any): NonFungibleTokensMetadataList

- - Defined in src/generated/models/NonFungibleTokensMetadataList.ts:55

  #### Parameters

  - ##### json: any

  #### Returns NonFungibleTokensMetadataList

### NonFungibleTokensMetadataListFromJSONTyped

- NonFungibleTokensMetadataListFromJSONTyped(json: any, ignoreDiscriminator: boolean): NonFungibleTokensMetadataList

- - Defined in src/generated/models/NonFungibleTokensMetadataList.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns NonFungibleTokensMetadataList

### NonFungibleTokensMetadataListToJSON

- NonFungibleTokensMetadataListToJSON(value?: NonFungibleTokensMetadataList | null): any

- - Defined in src/generated/models/NonFungibleTokensMetadataList.ts:72

  #### Parameters

  - ##### Optional value: NonFungibleTokensMetadataList | null

  #### Returns any

### OtherTransactionIdentifierFromJSON

- OtherTransactionIdentifierFromJSON(json: any): OtherTransactionIdentifier

- - Defined in src/generated/models/OtherTransactionIdentifier.ts:30

  #### Parameters

  - ##### json: any

  #### Returns OtherTransactionIdentifier

### OtherTransactionIdentifierFromJSONTyped

- OtherTransactionIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): OtherTransactionIdentifier

- - Defined in src/generated/models/OtherTransactionIdentifier.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns OtherTransactionIdentifier

### OtherTransactionIdentifierToJSON

- OtherTransactionIdentifierToJSON(value?: OtherTransactionIdentifier | null): any

- - Defined in src/generated/models/OtherTransactionIdentifier.ts:44

  #### Parameters

  - ##### Optional value: OtherTransactionIdentifier | null

  #### Returns any

### PostCoreNodeTransactionsErrorFromJSON

- PostCoreNodeTransactionsErrorFromJSON(json: any): PostCoreNodeTransactionsError

- - Defined in src/generated/models/PostCoreNodeTransactionsError.ts:48

  #### Parameters

  - ##### json: any

  #### Returns PostCoreNodeTransactionsError

### PostCoreNodeTransactionsErrorFromJSONTyped

- PostCoreNodeTransactionsErrorFromJSONTyped(json: any, ignoreDiscriminator: boolean): PostCoreNodeTransactionsError

- - Defined in src/generated/models/PostCoreNodeTransactionsError.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns PostCoreNodeTransactionsError

### PostCoreNodeTransactionsErrorToJSON

- PostCoreNodeTransactionsErrorToJSON(value?: PostCoreNodeTransactionsError | null): any

- - Defined in src/generated/models/PostCoreNodeTransactionsError.ts:65

  #### Parameters

  - ##### Optional value: PostCoreNodeTransactionsError | null

  #### Returns any

### ReadOnlyFunctionArgsFromJSON

- ReadOnlyFunctionArgsFromJSON(json: any): ReadOnlyFunctionArgs

- - Defined in src/generated/models/ReadOnlyFunctionArgs.ts:36

  #### Parameters

  - ##### json: any

  #### Returns ReadOnlyFunctionArgs

### ReadOnlyFunctionArgsFromJSONTyped

- ReadOnlyFunctionArgsFromJSONTyped(json: any, ignoreDiscriminator: boolean): ReadOnlyFunctionArgs

- - Defined in src/generated/models/ReadOnlyFunctionArgs.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns ReadOnlyFunctionArgs

### ReadOnlyFunctionArgsToJSON

- ReadOnlyFunctionArgsToJSON(value?: ReadOnlyFunctionArgs | null): any

- - Defined in src/generated/models/ReadOnlyFunctionArgs.ts:51

  #### Parameters

  - ##### Optional value: ReadOnlyFunctionArgs | null

  #### Returns any

### ReadOnlyFunctionSuccessResponseFromJSON

- ReadOnlyFunctionSuccessResponseFromJSON(json: any): ReadOnlyFunctionSuccessResponse

- - Defined in src/generated/models/ReadOnlyFunctionSuccessResponse.ts:42

  #### Parameters

  - ##### json: any

  #### Returns ReadOnlyFunctionSuccessResponse

### ReadOnlyFunctionSuccessResponseFromJSONTyped

- ReadOnlyFunctionSuccessResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): ReadOnlyFunctionSuccessResponse

- - Defined in src/generated/models/ReadOnlyFunctionSuccessResponse.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns ReadOnlyFunctionSuccessResponse

### ReadOnlyFunctionSuccessResponseToJSON

- ReadOnlyFunctionSuccessResponseToJSON(value?: ReadOnlyFunctionSuccessResponse | null): any

- - Defined in src/generated/models/ReadOnlyFunctionSuccessResponse.ts:58

  #### Parameters

  - ##### Optional value: ReadOnlyFunctionSuccessResponse | null

  #### Returns any

### RosettaAccountBalanceRequestFromJSON

- RosettaAccountBalanceRequestFromJSON(json: any): RosettaAccountBalanceRequest

- - Defined in src/generated/models/RosettaAccountBalanceRequest.ts:53

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccountBalanceRequest

### RosettaAccountBalanceRequestFromJSONTyped

- RosettaAccountBalanceRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccountBalanceRequest

- - Defined in src/generated/models/RosettaAccountBalanceRequest.ts:57

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccountBalanceRequest

### RosettaAccountBalanceRequestToJSON

- RosettaAccountBalanceRequestToJSON(value?: RosettaAccountBalanceRequest | null): any

- - Defined in src/generated/models/RosettaAccountBalanceRequest.ts:69

  #### Parameters

  - ##### Optional value: RosettaAccountBalanceRequest | null

  #### Returns any

### RosettaAccountBalanceResponseCoinIdentifierFromJSON

- RosettaAccountBalanceResponseCoinIdentifierFromJSON(json: any): RosettaAccountBalanceResponseCoinIdentifier

- - Defined in src/generated/models/RosettaAccountBalanceResponseCoinIdentifier.ts:30

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccountBalanceResponseCoinIdentifier

### RosettaAccountBalanceResponseCoinIdentifierFromJSONTyped

- RosettaAccountBalanceResponseCoinIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccountBalanceResponseCoinIdentifier

- - Defined in src/generated/models/RosettaAccountBalanceResponseCoinIdentifier.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccountBalanceResponseCoinIdentifier

### RosettaAccountBalanceResponseCoinIdentifierToJSON

- RosettaAccountBalanceResponseCoinIdentifierToJSON(value?: RosettaAccountBalanceResponseCoinIdentifier | null): any

- - Defined in src/generated/models/RosettaAccountBalanceResponseCoinIdentifier.ts:44

  #### Parameters

  - ##### Optional value: RosettaAccountBalanceResponseCoinIdentifier | null

  #### Returns any

### RosettaAccountBalanceResponseFromJSON

- RosettaAccountBalanceResponseFromJSON(json: any): RosettaAccountBalanceResponse

- - Defined in src/generated/models/RosettaAccountBalanceResponse.ts:63

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccountBalanceResponse

### RosettaAccountBalanceResponseFromJSONTyped

- RosettaAccountBalanceResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccountBalanceResponse

- - Defined in src/generated/models/RosettaAccountBalanceResponse.ts:67

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccountBalanceResponse

### RosettaAccountBalanceResponseMetadataFromJSON

- RosettaAccountBalanceResponseMetadataFromJSON(json: any): RosettaAccountBalanceResponseMetadata

- - Defined in src/generated/models/RosettaAccountBalanceResponseMetadata.ts:30

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccountBalanceResponseMetadata

### RosettaAccountBalanceResponseMetadataFromJSONTyped

- RosettaAccountBalanceResponseMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccountBalanceResponseMetadata

- - Defined in src/generated/models/RosettaAccountBalanceResponseMetadata.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccountBalanceResponseMetadata

### RosettaAccountBalanceResponseMetadataToJSON

- RosettaAccountBalanceResponseMetadataToJSON(value?: RosettaAccountBalanceResponseMetadata | null): any

- - Defined in src/generated/models/RosettaAccountBalanceResponseMetadata.ts:44

  #### Parameters

  - ##### Optional value: RosettaAccountBalanceResponseMetadata | null

  #### Returns any

### RosettaAccountBalanceResponseToJSON

- RosettaAccountBalanceResponseToJSON(value?: RosettaAccountBalanceResponse | null): any

- - Defined in src/generated/models/RosettaAccountBalanceResponse.ts:80

  #### Parameters

  - ##### Optional value: RosettaAccountBalanceResponse | null

  #### Returns any

### RosettaAccountFromJSON

- RosettaAccountFromJSON(json: any): RosettaAccount

- - Defined in src/generated/models/RosettaAccount.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccount

### RosettaAccountFromJSONTyped

- RosettaAccountFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccount

- - Defined in src/generated/models/RosettaAccount.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccount

### RosettaAccountIdentifierFromJSON

- RosettaAccountIdentifierFromJSON(json: any): RosettaAccountIdentifier

- - Defined in src/generated/models/RosettaAccountIdentifier.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaAccountIdentifier

### RosettaAccountIdentifierFromJSONTyped

- RosettaAccountIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAccountIdentifier

- - Defined in src/generated/models/RosettaAccountIdentifier.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAccountIdentifier

### RosettaAccountIdentifierToJSON

- RosettaAccountIdentifierToJSON(value?: RosettaAccountIdentifier | null): any

- - Defined in src/generated/models/RosettaAccountIdentifier.ts:65

  #### Parameters

  - ##### Optional value: RosettaAccountIdentifier | null

  #### Returns any

### RosettaAccountToJSON

- RosettaAccountToJSON(value?: RosettaAccount | null): any

- - Defined in src/generated/models/RosettaAccount.ts:65

  #### Parameters

  - ##### Optional value: RosettaAccount | null

  #### Returns any

### RosettaAmountFromJSON

- RosettaAmountFromJSON(json: any): RosettaAmount

- - Defined in src/generated/models/RosettaAmount.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaAmount

### RosettaAmountFromJSONTyped

- RosettaAmountFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaAmount

- - Defined in src/generated/models/RosettaAmount.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaAmount

### RosettaAmountToJSON

- RosettaAmountToJSON(value?: RosettaAmount | null): any

- - Defined in src/generated/models/RosettaAmount.ts:65

  #### Parameters

  - ##### Optional value: RosettaAmount | null

  #### Returns any

### RosettaBlockFromJSON

- RosettaBlockFromJSON(json: any): RosettaBlock

- - Defined in src/generated/models/RosettaBlock.ts:69

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlock

### RosettaBlockFromJSONTyped

- RosettaBlockFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlock

- - Defined in src/generated/models/RosettaBlock.ts:73

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlock

### RosettaBlockMetadata1FromJSON

- RosettaBlockMetadata1FromJSON(json: any): RosettaBlockMetadata1

- - Defined in src/generated/models/RosettaBlockMetadata1.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockMetadata1

### RosettaBlockMetadata1FromJSONTyped

- RosettaBlockMetadata1FromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockMetadata1

- - Defined in src/generated/models/RosettaBlockMetadata1.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockMetadata1

### RosettaBlockMetadata1ToJSON

- RosettaBlockMetadata1ToJSON(value?: RosettaBlockMetadata1 | null): any

- - Defined in src/generated/models/RosettaBlockMetadata1.ts:51

  #### Parameters

  - ##### Optional value: RosettaBlockMetadata1 | null

  #### Returns any

### RosettaBlockMetadataFromJSON

- RosettaBlockMetadataFromJSON(json: any): RosettaBlockMetadata

- - Defined in src/generated/models/RosettaBlockMetadata.ts:42

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockMetadata

### RosettaBlockMetadataFromJSONTyped

- RosettaBlockMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockMetadata

- - Defined in src/generated/models/RosettaBlockMetadata.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockMetadata

### RosettaBlockMetadataToJSON

- RosettaBlockMetadataToJSON(value?: RosettaBlockMetadata | null): any

- - Defined in src/generated/models/RosettaBlockMetadata.ts:58

  #### Parameters

  - ##### Optional value: RosettaBlockMetadata | null

  #### Returns any

### RosettaBlockRequestFromJSON

- RosettaBlockRequestFromJSON(json: any): RosettaBlockRequest

- - Defined in src/generated/models/RosettaBlockRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockRequest

### RosettaBlockRequestFromJSONTyped

- RosettaBlockRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockRequest

- - Defined in src/generated/models/RosettaBlockRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockRequest

### RosettaBlockRequestToJSON

- RosettaBlockRequestToJSON(value?: RosettaBlockRequest | null): any

- - Defined in src/generated/models/RosettaBlockRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaBlockRequest | null

  #### Returns any

### RosettaBlockResponseFromJSON

- RosettaBlockResponseFromJSON(json: any): RosettaBlockResponse

- - Defined in src/generated/models/RosettaBlockResponse.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockResponse

### RosettaBlockResponseFromJSONTyped

- RosettaBlockResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockResponse

- - Defined in src/generated/models/RosettaBlockResponse.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockResponse

### RosettaBlockResponseToJSON

- RosettaBlockResponseToJSON(value?: RosettaBlockResponse | null): any

- - Defined in src/generated/models/RosettaBlockResponse.ts:62

  #### Parameters

  - ##### Optional value: RosettaBlockResponse | null

  #### Returns any

### RosettaBlockToJSON

- RosettaBlockToJSON(value?: RosettaBlock | null): any

- - Defined in src/generated/models/RosettaBlock.ts:87

  #### Parameters

  - ##### Optional value: RosettaBlock | null

  #### Returns any

### RosettaBlockTransactionRequestFromJSON

- RosettaBlockTransactionRequestFromJSON(json: any): RosettaBlockTransactionRequest

- - Defined in src/generated/models/RosettaBlockTransactionRequest.ts:53

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockTransactionRequest

### RosettaBlockTransactionRequestFromJSONTyped

- RosettaBlockTransactionRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockTransactionRequest

- - Defined in src/generated/models/RosettaBlockTransactionRequest.ts:57

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockTransactionRequest

### RosettaBlockTransactionRequestToJSON

- RosettaBlockTransactionRequestToJSON(value?: RosettaBlockTransactionRequest | null): any

- - Defined in src/generated/models/RosettaBlockTransactionRequest.ts:69

  #### Parameters

  - ##### Optional value: RosettaBlockTransactionRequest | null

  #### Returns any

### RosettaBlockTransactionResponseFromJSON

- RosettaBlockTransactionResponseFromJSON(json: any): RosettaBlockTransactionResponse

- - Defined in src/generated/models/RosettaBlockTransactionResponse.ts:37

  #### Parameters

  - ##### json: any

  #### Returns RosettaBlockTransactionResponse

### RosettaBlockTransactionResponseFromJSONTyped

- RosettaBlockTransactionResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaBlockTransactionResponse

- - Defined in src/generated/models/RosettaBlockTransactionResponse.ts:41

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaBlockTransactionResponse

### RosettaBlockTransactionResponseToJSON

- RosettaBlockTransactionResponseToJSON(value?: RosettaBlockTransactionResponse | null): any

- - Defined in src/generated/models/RosettaBlockTransactionResponse.ts:51

  #### Parameters

  - ##### Optional value: RosettaBlockTransactionResponse | null

  #### Returns any

### RosettaCoinChangeFromJSON

- RosettaCoinChangeFromJSON(json: any): RosettaCoinChange

- - Defined in src/generated/models/RosettaCoinChange.ts:52

  #### Parameters

  - ##### json: any

  #### Returns RosettaCoinChange

### RosettaCoinChangeFromJSONTyped

- RosettaCoinChangeFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaCoinChange

- - Defined in src/generated/models/RosettaCoinChange.ts:56

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaCoinChange

### RosettaCoinChangeToJSON

- RosettaCoinChangeToJSON(value?: RosettaCoinChange | null): any

- - Defined in src/generated/models/RosettaCoinChange.ts:67

  #### Parameters

  - ##### Optional value: RosettaCoinChange | null

  #### Returns any

### RosettaCoinFromJSON

- RosettaCoinFromJSON(json: any): RosettaCoin

- - Defined in src/generated/models/RosettaCoin.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaCoin

### RosettaCoinFromJSONTyped

- RosettaCoinFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaCoin

- - Defined in src/generated/models/RosettaCoin.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaCoin

### RosettaCoinToJSON

- RosettaCoinToJSON(value?: RosettaCoin | null): any

- - Defined in src/generated/models/RosettaCoin.ts:62

  #### Parameters

  - ##### Optional value: RosettaCoin | null

  #### Returns any

### RosettaConstructionCombineRequestFromJSON

- RosettaConstructionCombineRequestFromJSON(json: any): RosettaConstructionCombineRequest

- - Defined in src/generated/models/RosettaConstructionCombineRequest.ts:53

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionCombineRequest

### RosettaConstructionCombineRequestFromJSONTyped

- RosettaConstructionCombineRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionCombineRequest

- - Defined in src/generated/models/RosettaConstructionCombineRequest.ts:57

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionCombineRequest

### RosettaConstructionCombineRequestToJSON

- RosettaConstructionCombineRequestToJSON(value?: RosettaConstructionCombineRequest | null): any

- - Defined in src/generated/models/RosettaConstructionCombineRequest.ts:69

  #### Parameters

  - ##### Optional value: RosettaConstructionCombineRequest | null

  #### Returns any

### RosettaConstructionCombineResponseFromJSON

- RosettaConstructionCombineResponseFromJSON(json: any): RosettaConstructionCombineResponse

- - Defined in src/generated/models/RosettaConstructionCombineResponse.ts:30

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionCombineResponse

### RosettaConstructionCombineResponseFromJSONTyped

- RosettaConstructionCombineResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionCombineResponse

- - Defined in src/generated/models/RosettaConstructionCombineResponse.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionCombineResponse

### RosettaConstructionCombineResponseToJSON

- RosettaConstructionCombineResponseToJSON(value?: RosettaConstructionCombineResponse | null): any

- - Defined in src/generated/models/RosettaConstructionCombineResponse.ts:44

  #### Parameters

  - ##### Optional value: RosettaConstructionCombineResponse | null

  #### Returns any

### RosettaConstructionDeriveRequestFromJSON

- RosettaConstructionDeriveRequestFromJSON(json: any): RosettaConstructionDeriveRequest

- - Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:53

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionDeriveRequest

### RosettaConstructionDeriveRequestFromJSONTyped

- RosettaConstructionDeriveRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionDeriveRequest

- - Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:57

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionDeriveRequest

### RosettaConstructionDeriveRequestToJSON

- RosettaConstructionDeriveRequestToJSON(value?: RosettaConstructionDeriveRequest | null): any

- - Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:69

  #### Parameters

  - ##### Optional value: RosettaConstructionDeriveRequest | null

  #### Returns any

### RosettaConstructionDeriveResponseFromJSON

- RosettaConstructionDeriveResponseFromJSON(json: any): RosettaConstructionDeriveResponse

- - Defined in src/generated/models/RosettaConstructionDeriveResponse.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionDeriveResponse

### RosettaConstructionDeriveResponseFromJSONTyped

- RosettaConstructionDeriveResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionDeriveResponse

- - Defined in src/generated/models/RosettaConstructionDeriveResponse.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionDeriveResponse

### RosettaConstructionDeriveResponseToJSON

- RosettaConstructionDeriveResponseToJSON(value?: RosettaConstructionDeriveResponse | null): any

- - Defined in src/generated/models/RosettaConstructionDeriveResponse.ts:65

  #### Parameters

  - ##### Optional value: RosettaConstructionDeriveResponse | null

  #### Returns any

### RosettaConstructionHashRequestFromJSON

- RosettaConstructionHashRequestFromJSON(json: any): RosettaConstructionHashRequest

- - Defined in src/generated/models/RosettaConstructionHashRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionHashRequest

### RosettaConstructionHashRequestFromJSONTyped

- RosettaConstructionHashRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionHashRequest

- - Defined in src/generated/models/RosettaConstructionHashRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionHashRequest

### RosettaConstructionHashRequestToJSON

- RosettaConstructionHashRequestToJSON(value?: RosettaConstructionHashRequest | null): any

- - Defined in src/generated/models/RosettaConstructionHashRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaConstructionHashRequest | null

  #### Returns any

### RosettaConstructionHashResponseFromJSON

- RosettaConstructionHashResponseFromJSON(json: any): RosettaConstructionHashResponse

- - Defined in src/generated/models/RosettaConstructionHashResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionHashResponse

### RosettaConstructionHashResponseFromJSONTyped

- RosettaConstructionHashResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionHashResponse

- - Defined in src/generated/models/RosettaConstructionHashResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionHashResponse

### RosettaConstructionHashResponseToJSON

- RosettaConstructionHashResponseToJSON(value?: RosettaConstructionHashResponse | null): any

- - Defined in src/generated/models/RosettaConstructionHashResponse.ts:58

  #### Parameters

  - ##### Optional value: RosettaConstructionHashResponse | null

  #### Returns any

### RosettaConstructionMetadataRequestFromJSON

- RosettaConstructionMetadataRequestFromJSON(json: any): RosettaConstructionMetadataRequest

- - Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:57

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionMetadataRequest

### RosettaConstructionMetadataRequestFromJSONTyped

- RosettaConstructionMetadataRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionMetadataRequest

- - Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:61

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionMetadataRequest

### RosettaConstructionMetadataRequestToJSON

- RosettaConstructionMetadataRequestToJSON(value?: RosettaConstructionMetadataRequest | null): any

- - Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:73

  #### Parameters

  - ##### Optional value: RosettaConstructionMetadataRequest | null

  #### Returns any

### RosettaConstructionMetadataResponseFromJSON

- RosettaConstructionMetadataResponseFromJSON(json: any): RosettaConstructionMetadataResponse

- - Defined in src/generated/models/RosettaConstructionMetadataResponse.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionMetadataResponse

### RosettaConstructionMetadataResponseFromJSONTyped

- RosettaConstructionMetadataResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionMetadataResponse

- - Defined in src/generated/models/RosettaConstructionMetadataResponse.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionMetadataResponse

### RosettaConstructionMetadataResponseMetadataFromJSON

- RosettaConstructionMetadataResponseMetadataFromJSON(json: any): RosettaConstructionMetadataResponseMetadata

- - Defined in src/generated/models/RosettaConstructionMetadataResponseMetadata.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionMetadataResponseMetadata

### RosettaConstructionMetadataResponseMetadataFromJSONTyped

- RosettaConstructionMetadataResponseMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionMetadataResponseMetadata

- - Defined in src/generated/models/RosettaConstructionMetadataResponseMetadata.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionMetadataResponseMetadata

### RosettaConstructionMetadataResponseMetadataToJSON

- RosettaConstructionMetadataResponseMetadataToJSON(value?: RosettaConstructionMetadataResponseMetadata | null): any

- - Defined in src/generated/models/RosettaConstructionMetadataResponseMetadata.ts:51

  #### Parameters

  - ##### Optional value: RosettaConstructionMetadataResponseMetadata | null

  #### Returns any

### RosettaConstructionMetadataResponseToJSON

- RosettaConstructionMetadataResponseToJSON(value?: RosettaConstructionMetadataResponse | null): any

- - Defined in src/generated/models/RosettaConstructionMetadataResponse.ts:62

  #### Parameters

  - ##### Optional value: RosettaConstructionMetadataResponse | null

  #### Returns any

### RosettaConstructionParseRequestFromJSON

- RosettaConstructionParseRequestFromJSON(json: any): RosettaConstructionParseRequest

- - Defined in src/generated/models/RosettaConstructionParseRequest.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionParseRequest

### RosettaConstructionParseRequestFromJSONTyped

- RosettaConstructionParseRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionParseRequest

- - Defined in src/generated/models/RosettaConstructionParseRequest.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionParseRequest

### RosettaConstructionParseRequestToJSON

- RosettaConstructionParseRequestToJSON(value?: RosettaConstructionParseRequest | null): any

- - Defined in src/generated/models/RosettaConstructionParseRequest.ts:65

  #### Parameters

  - ##### Optional value: RosettaConstructionParseRequest | null

  #### Returns any

### RosettaConstructionParseResponseFromJSON

- RosettaConstructionParseResponseFromJSON(json: any): RosettaConstructionParseResponse

- - Defined in src/generated/models/RosettaConstructionParseResponse.ts:59

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionParseResponse

### RosettaConstructionParseResponseFromJSONTyped

- RosettaConstructionParseResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionParseResponse

- - Defined in src/generated/models/RosettaConstructionParseResponse.ts:63

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionParseResponse

### RosettaConstructionParseResponseToJSON

- RosettaConstructionParseResponseToJSON(value?: RosettaConstructionParseResponse | null): any

- - Defined in src/generated/models/RosettaConstructionParseResponse.ts:76

  #### Parameters

  - ##### Optional value: RosettaConstructionParseResponse | null

  #### Returns any

### RosettaConstructionPayloadResponseFromJSON

- RosettaConstructionPayloadResponseFromJSON(json: any): RosettaConstructionPayloadResponse

- - Defined in src/generated/models/RosettaConstructionPayloadResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionPayloadResponse

### RosettaConstructionPayloadResponseFromJSONTyped

- RosettaConstructionPayloadResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionPayloadResponse

- - Defined in src/generated/models/RosettaConstructionPayloadResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionPayloadResponse

### RosettaConstructionPayloadResponseToJSON

- RosettaConstructionPayloadResponseToJSON(value?: RosettaConstructionPayloadResponse | null): any

- - Defined in src/generated/models/RosettaConstructionPayloadResponse.ts:58

  #### Parameters

  - ##### Optional value: RosettaConstructionPayloadResponse | null

  #### Returns any

### RosettaConstructionPayloadsRequestFromJSON

- RosettaConstructionPayloadsRequestFromJSON(json: any): RosettaConstructionPayloadsRequest

- - Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:67

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionPayloadsRequest

### RosettaConstructionPayloadsRequestFromJSONTyped

- RosettaConstructionPayloadsRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionPayloadsRequest

- - Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:71

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionPayloadsRequest

### RosettaConstructionPayloadsRequestToJSON

- RosettaConstructionPayloadsRequestToJSON(value?: RosettaConstructionPayloadsRequest | null): any

- - Defined in src/generated/models/RosettaConstructionPayloadsRequest.ts:84

  #### Parameters

  - ##### Optional value: RosettaConstructionPayloadsRequest | null

  #### Returns any

### RosettaConstructionPreprocessRequestFromJSON

- RosettaConstructionPreprocessRequestFromJSON(json: any): RosettaConstructionPreprocessRequest

- - Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:69

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionPreprocessRequest

### RosettaConstructionPreprocessRequestFromJSONTyped

- RosettaConstructionPreprocessRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionPreprocessRequest

- - Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:73

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionPreprocessRequest

### RosettaConstructionPreprocessRequestToJSON

- RosettaConstructionPreprocessRequestToJSON(value?: RosettaConstructionPreprocessRequest | null): any

- - Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:87

  #### Parameters

  - ##### Optional value: RosettaConstructionPreprocessRequest | null

  #### Returns any

### RosettaConstructionPreprocessResponseFromJSON

- RosettaConstructionPreprocessResponseFromJSON(json: any): RosettaConstructionPreprocessResponse

- - Defined in src/generated/models/RosettaConstructionPreprocessResponse.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionPreprocessResponse

### RosettaConstructionPreprocessResponseFromJSONTyped

- RosettaConstructionPreprocessResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionPreprocessResponse

- - Defined in src/generated/models/RosettaConstructionPreprocessResponse.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionPreprocessResponse

### RosettaConstructionPreprocessResponseToJSON

- RosettaConstructionPreprocessResponseToJSON(value?: RosettaConstructionPreprocessResponse | null): any

- - Defined in src/generated/models/RosettaConstructionPreprocessResponse.ts:62

  #### Parameters

  - ##### Optional value: RosettaConstructionPreprocessResponse | null

  #### Returns any

### RosettaConstructionSubmitRequestFromJSON

- RosettaConstructionSubmitRequestFromJSON(json: any): RosettaConstructionSubmitRequest

- - Defined in src/generated/models/RosettaConstructionSubmitRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionSubmitRequest

### RosettaConstructionSubmitRequestFromJSONTyped

- RosettaConstructionSubmitRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionSubmitRequest

- - Defined in src/generated/models/RosettaConstructionSubmitRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionSubmitRequest

### RosettaConstructionSubmitRequestToJSON

- RosettaConstructionSubmitRequestToJSON(value?: RosettaConstructionSubmitRequest | null): any

- - Defined in src/generated/models/RosettaConstructionSubmitRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaConstructionSubmitRequest | null

  #### Returns any

### RosettaConstructionSubmitResponseFromJSON

- RosettaConstructionSubmitResponseFromJSON(json: any): RosettaConstructionSubmitResponse

- - Defined in src/generated/models/RosettaConstructionSubmitResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaConstructionSubmitResponse

### RosettaConstructionSubmitResponseFromJSONTyped

- RosettaConstructionSubmitResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaConstructionSubmitResponse

- - Defined in src/generated/models/RosettaConstructionSubmitResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaConstructionSubmitResponse

### RosettaConstructionSubmitResponseToJSON

- RosettaConstructionSubmitResponseToJSON(value?: RosettaConstructionSubmitResponse | null): any

- - Defined in src/generated/models/RosettaConstructionSubmitResponse.ts:58

  #### Parameters

  - ##### Optional value: RosettaConstructionSubmitResponse | null

  #### Returns any

### RosettaCurrencyFromJSON

- RosettaCurrencyFromJSON(json: any): RosettaCurrency

- - Defined in src/generated/models/RosettaCurrency.ts:42

  #### Parameters

  - ##### json: any

  #### Returns RosettaCurrency

### RosettaCurrencyFromJSONTyped

- RosettaCurrencyFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaCurrency

- - Defined in src/generated/models/RosettaCurrency.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaCurrency

### RosettaCurrencyToJSON

- RosettaCurrencyToJSON(value?: RosettaCurrency | null): any

- - Defined in src/generated/models/RosettaCurrency.ts:58

  #### Parameters

  - ##### Optional value: RosettaCurrency | null

  #### Returns any

### RosettaErrorDetailsFromJSON

- RosettaErrorDetailsFromJSON(json: any): RosettaErrorDetails

- - Defined in src/generated/models/RosettaErrorDetails.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaErrorDetails

### RosettaErrorDetailsFromJSONTyped

- RosettaErrorDetailsFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaErrorDetails

- - Defined in src/generated/models/RosettaErrorDetails.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaErrorDetails

### RosettaErrorDetailsToJSON

- RosettaErrorDetailsToJSON(value?: RosettaErrorDetails | null): any

- - Defined in src/generated/models/RosettaErrorDetails.ts:51

  #### Parameters

  - ##### Optional value: RosettaErrorDetails | null

  #### Returns any

### RosettaErrorFromJSON

- RosettaErrorFromJSON(json: any): RosettaError

- - Defined in src/generated/models/RosettaError.ts:55

  #### Parameters

  - ##### json: any

  #### Returns RosettaError

### RosettaErrorFromJSONTyped

- RosettaErrorFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaError

- - Defined in src/generated/models/RosettaError.ts:59

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaError

### RosettaErrorNoDetailsFromJSON

- RosettaErrorNoDetailsFromJSON(json: any): RosettaErrorNoDetails

- - Defined in src/generated/models/RosettaErrorNoDetails.ts:42

  #### Parameters

  - ##### json: any

  #### Returns RosettaErrorNoDetails

### RosettaErrorNoDetailsFromJSONTyped

- RosettaErrorNoDetailsFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaErrorNoDetails

- - Defined in src/generated/models/RosettaErrorNoDetails.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaErrorNoDetails

### RosettaErrorNoDetailsToJSON

- RosettaErrorNoDetailsToJSON(value?: RosettaErrorNoDetails | null): any

- - Defined in src/generated/models/RosettaErrorNoDetails.ts:58

  #### Parameters

  - ##### Optional value: RosettaErrorNoDetails | null

  #### Returns any

### RosettaErrorToJSON

- RosettaErrorToJSON(value?: RosettaError | null): any

- - Defined in src/generated/models/RosettaError.ts:72

  #### Parameters

  - ##### Optional value: RosettaError | null

  #### Returns any

### RosettaMaxFeeAmountFromJSON

- RosettaMaxFeeAmountFromJSON(json: any): RosettaMaxFeeAmount

- - Defined in src/generated/models/RosettaMaxFeeAmount.ts:49

  #### Parameters

  - ##### json: any

  #### Returns RosettaMaxFeeAmount

### RosettaMaxFeeAmountFromJSONTyped

- RosettaMaxFeeAmountFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaMaxFeeAmount

- - Defined in src/generated/models/RosettaMaxFeeAmount.ts:53

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaMaxFeeAmount

### RosettaMaxFeeAmountToJSON

- RosettaMaxFeeAmountToJSON(value?: RosettaMaxFeeAmount | null): any

- - Defined in src/generated/models/RosettaMaxFeeAmount.ts:65

  #### Parameters

  - ##### Optional value: RosettaMaxFeeAmount | null

  #### Returns any

### RosettaMempoolRequestFromJSON

- RosettaMempoolRequestFromJSON(json: any): RosettaMempoolRequest

- - Defined in src/generated/models/RosettaMempoolRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaMempoolRequest

### RosettaMempoolRequestFromJSONTyped

- RosettaMempoolRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaMempoolRequest

- - Defined in src/generated/models/RosettaMempoolRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaMempoolRequest

### RosettaMempoolRequestToJSON

- RosettaMempoolRequestToJSON(value?: RosettaMempoolRequest | null): any

- - Defined in src/generated/models/RosettaMempoolRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaMempoolRequest | null

  #### Returns any

### RosettaMempoolResponseFromJSON

- RosettaMempoolResponseFromJSON(json: any): RosettaMempoolResponse

- - Defined in src/generated/models/RosettaMempoolResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaMempoolResponse

### RosettaMempoolResponseFromJSONTyped

- RosettaMempoolResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaMempoolResponse

- - Defined in src/generated/models/RosettaMempoolResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaMempoolResponse

### RosettaMempoolResponseToJSON

- RosettaMempoolResponseToJSON(value?: RosettaMempoolResponse | null): any

- - Defined in src/generated/models/RosettaMempoolResponse.ts:58

  #### Parameters

  - ##### Optional value: RosettaMempoolResponse | null

  #### Returns any

### RosettaMempoolTransactionRequestFromJSON

- RosettaMempoolTransactionRequestFromJSON(json: any): RosettaMempoolTransactionRequest

- - Defined in src/generated/models/RosettaMempoolTransactionRequest.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaMempoolTransactionRequest

### RosettaMempoolTransactionRequestFromJSONTyped

- RosettaMempoolTransactionRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaMempoolTransactionRequest

- - Defined in src/generated/models/RosettaMempoolTransactionRequest.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaMempoolTransactionRequest

### RosettaMempoolTransactionRequestToJSON

- RosettaMempoolTransactionRequestToJSON(value?: RosettaMempoolTransactionRequest | null): any

- - Defined in src/generated/models/RosettaMempoolTransactionRequest.ts:62

  #### Parameters

  - ##### Optional value: RosettaMempoolTransactionRequest | null

  #### Returns any

### RosettaMempoolTransactionResponseFromJSON

- RosettaMempoolTransactionResponseFromJSON(json: any): RosettaMempoolTransactionResponse

- - Defined in src/generated/models/RosettaMempoolTransactionResponse.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaMempoolTransactionResponse

### RosettaMempoolTransactionResponseFromJSONTyped

- RosettaMempoolTransactionResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaMempoolTransactionResponse

- - Defined in src/generated/models/RosettaMempoolTransactionResponse.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaMempoolTransactionResponse

### RosettaMempoolTransactionResponseToJSON

- RosettaMempoolTransactionResponseToJSON(value?: RosettaMempoolTransactionResponse | null): any

- - Defined in src/generated/models/RosettaMempoolTransactionResponse.ts:58

  #### Parameters

  - ##### Optional value: RosettaMempoolTransactionResponse | null

  #### Returns any

### RosettaNetworkListResponseFromJSON

- RosettaNetworkListResponseFromJSON(json: any): RosettaNetworkListResponse

- - Defined in src/generated/models/RosettaNetworkListResponse.ts:37

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkListResponse

### RosettaNetworkListResponseFromJSONTyped

- RosettaNetworkListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkListResponse

- - Defined in src/generated/models/RosettaNetworkListResponse.ts:41

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkListResponse

### RosettaNetworkListResponseSubNetworkIdentifierFromJSON

- RosettaNetworkListResponseSubNetworkIdentifierFromJSON(json: any): RosettaNetworkListResponseSubNetworkIdentifier

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifier.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkListResponseSubNetworkIdentifier

### RosettaNetworkListResponseSubNetworkIdentifierFromJSONTyped

- RosettaNetworkListResponseSubNetworkIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkListResponseSubNetworkIdentifier

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifier.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkListResponseSubNetworkIdentifier

### RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSON

- RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSON(json: any): RosettaNetworkListResponseSubNetworkIdentifierMetadata

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifierMetadata.ts:30

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkListResponseSubNetworkIdentifierMetadata

### RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSONTyped

- RosettaNetworkListResponseSubNetworkIdentifierMetadataFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkListResponseSubNetworkIdentifierMetadata

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifierMetadata.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkListResponseSubNetworkIdentifierMetadata

### RosettaNetworkListResponseSubNetworkIdentifierMetadataToJSON

- RosettaNetworkListResponseSubNetworkIdentifierMetadataToJSON(value?: RosettaNetworkListResponseSubNetworkIdentifierMetadata | null): any

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifierMetadata.ts:44

  #### Parameters

  - ##### Optional value: RosettaNetworkListResponseSubNetworkIdentifierMetadata | null

  #### Returns any

### RosettaNetworkListResponseSubNetworkIdentifierToJSON

- RosettaNetworkListResponseSubNetworkIdentifierToJSON(value?: RosettaNetworkListResponseSubNetworkIdentifier | null): any

- - Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifier.ts:58

  #### Parameters

  - ##### Optional value: RosettaNetworkListResponseSubNetworkIdentifier | null

  #### Returns any

### RosettaNetworkListResponseToJSON

- RosettaNetworkListResponseToJSON(value?: RosettaNetworkListResponse | null): any

- - Defined in src/generated/models/RosettaNetworkListResponse.ts:51

  #### Parameters

  - ##### Optional value: RosettaNetworkListResponse | null

  #### Returns any

### RosettaNetworkOptionsResponseAllowFromJSON

- RosettaNetworkOptionsResponseAllowFromJSON(json: any): RosettaNetworkOptionsResponseAllow

- - Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:59

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkOptionsResponseAllow

### RosettaNetworkOptionsResponseAllowFromJSONTyped

- RosettaNetworkOptionsResponseAllowFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkOptionsResponseAllow

- - Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:63

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkOptionsResponseAllow

### RosettaNetworkOptionsResponseAllowToJSON

- RosettaNetworkOptionsResponseAllowToJSON(value?: RosettaNetworkOptionsResponseAllow | null): any

- - Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:76

  #### Parameters

  - ##### Optional value: RosettaNetworkOptionsResponseAllow | null

  #### Returns any

### RosettaNetworkOptionsResponseFromJSON

- RosettaNetworkOptionsResponseFromJSON(json: any): RosettaNetworkOptionsResponse

- - Defined in src/generated/models/RosettaNetworkOptionsResponse.ts:47

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkOptionsResponse

### RosettaNetworkOptionsResponseFromJSONTyped

- RosettaNetworkOptionsResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkOptionsResponse

- - Defined in src/generated/models/RosettaNetworkOptionsResponse.ts:51

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkOptionsResponse

### RosettaNetworkOptionsResponseToJSON

- RosettaNetworkOptionsResponseToJSON(value?: RosettaNetworkOptionsResponse | null): any

- - Defined in src/generated/models/RosettaNetworkOptionsResponse.ts:62

  #### Parameters

  - ##### Optional value: RosettaNetworkOptionsResponse | null

  #### Returns any

### RosettaNetworkOptionsResponseVersionFromJSON

- RosettaNetworkOptionsResponseVersionFromJSON(json: any): RosettaNetworkOptionsResponseVersion

- - Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:48

  #### Parameters

  - ##### json: any

  #### Returns RosettaNetworkOptionsResponseVersion

### RosettaNetworkOptionsResponseVersionFromJSONTyped

- RosettaNetworkOptionsResponseVersionFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaNetworkOptionsResponseVersion

- - Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaNetworkOptionsResponseVersion

### RosettaNetworkOptionsResponseVersionToJSON

- RosettaNetworkOptionsResponseVersionToJSON(value?: RosettaNetworkOptionsResponseVersion | null): any

- - Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:65

  #### Parameters

  - ##### Optional value: RosettaNetworkOptionsResponseVersion | null

  #### Returns any

### RosettaOperationFromJSON

- RosettaOperationFromJSON(json: any): RosettaOperation

- - Defined in src/generated/models/RosettaOperation.ts:95

  #### Parameters

  - ##### json: any

  #### Returns RosettaOperation

### RosettaOperationFromJSONTyped

- RosettaOperationFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaOperation

- - Defined in src/generated/models/RosettaOperation.ts:99

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaOperation

### RosettaOperationIdentifierFromJSON

- RosettaOperationIdentifierFromJSON(json: any): RosettaOperationIdentifier

- - Defined in src/generated/models/RosettaOperationIdentifier.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaOperationIdentifier

### RosettaOperationIdentifierFromJSONTyped

- RosettaOperationIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaOperationIdentifier

- - Defined in src/generated/models/RosettaOperationIdentifier.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaOperationIdentifier

### RosettaOperationIdentifierToJSON

- RosettaOperationIdentifierToJSON(value?: RosettaOperationIdentifier | null): any

- - Defined in src/generated/models/RosettaOperationIdentifier.ts:51

  #### Parameters

  - ##### Optional value: RosettaOperationIdentifier | null

  #### Returns any

### RosettaOperationStatusFromJSON

- RosettaOperationStatusFromJSON(json: any): RosettaOperationStatus

- - Defined in src/generated/models/RosettaOperationStatus.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaOperationStatus

### RosettaOperationStatusFromJSONTyped

- RosettaOperationStatusFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaOperationStatus

- - Defined in src/generated/models/RosettaOperationStatus.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaOperationStatus

### RosettaOperationStatusToJSON

- RosettaOperationStatusToJSON(value?: RosettaOperationStatus | null): any

- - Defined in src/generated/models/RosettaOperationStatus.ts:51

  #### Parameters

  - ##### Optional value: RosettaOperationStatus | null

  #### Returns any

### RosettaOperationToJSON

- RosettaOperationToJSON(value?: RosettaOperation | null): any

- - Defined in src/generated/models/RosettaOperation.ts:116

  #### Parameters

  - ##### Optional value: RosettaOperation | null

  #### Returns any

### RosettaOptionsFromJSON

- RosettaOptionsFromJSON(json: any): RosettaOptions

- - Defined in src/generated/models/RosettaOptions.ts:144

  #### Parameters

  - ##### json: any

  #### Returns RosettaOptions

### RosettaOptionsFromJSONTyped

- RosettaOptionsFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaOptions

- - Defined in src/generated/models/RosettaOptions.ts:148

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaOptions

### RosettaOptionsRequestFromJSON

- RosettaOptionsRequestFromJSON(json: any): RosettaOptionsRequest

- - Defined in src/generated/models/RosettaOptionsRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaOptionsRequest

### RosettaOptionsRequestFromJSONTyped

- RosettaOptionsRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaOptionsRequest

- - Defined in src/generated/models/RosettaOptionsRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaOptionsRequest

### RosettaOptionsRequestToJSON

- RosettaOptionsRequestToJSON(value?: RosettaOptionsRequest | null): any

- - Defined in src/generated/models/RosettaOptionsRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaOptionsRequest | null

  #### Returns any

### RosettaOptionsToJSON

- RosettaOptionsToJSON(value?: RosettaOptions | null): any

- - Defined in src/generated/models/RosettaOptions.ts:177

  #### Parameters

  - ##### Optional value: RosettaOptions | null

  #### Returns any

### RosettaParentBlockIdentifierFromJSON

- RosettaParentBlockIdentifierFromJSON(json: any): RosettaParentBlockIdentifier

- - Defined in src/generated/models/RosettaParentBlockIdentifier.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaParentBlockIdentifier

### RosettaParentBlockIdentifierFromJSONTyped

- RosettaParentBlockIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaParentBlockIdentifier

- - Defined in src/generated/models/RosettaParentBlockIdentifier.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaParentBlockIdentifier

### RosettaParentBlockIdentifierToJSON

- RosettaParentBlockIdentifierToJSON(value?: RosettaParentBlockIdentifier | null): any

- - Defined in src/generated/models/RosettaParentBlockIdentifier.ts:51

  #### Parameters

  - ##### Optional value: RosettaParentBlockIdentifier | null

  #### Returns any

### RosettaPublicKeyFromJSON

- RosettaPublicKeyFromJSON(json: any): RosettaPublicKey

- - Defined in src/generated/models/RosettaPublicKey.ts:45

  #### Parameters

  - ##### json: any

  #### Returns RosettaPublicKey

### RosettaPublicKeyFromJSONTyped

- RosettaPublicKeyFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaPublicKey

- - Defined in src/generated/models/RosettaPublicKey.ts:49

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaPublicKey

### RosettaPublicKeyToJSON

- RosettaPublicKeyToJSON(value?: RosettaPublicKey | null): any

- - Defined in src/generated/models/RosettaPublicKey.ts:60

  #### Parameters

  - ##### Optional value: RosettaPublicKey | null

  #### Returns any

### RosettaRelatedOperationFromJSON

- RosettaRelatedOperationFromJSON(json: any): RosettaRelatedOperation

- - Defined in src/generated/models/RosettaRelatedOperation.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaRelatedOperation

### RosettaRelatedOperationFromJSONTyped

- RosettaRelatedOperationFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaRelatedOperation

- - Defined in src/generated/models/RosettaRelatedOperation.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaRelatedOperation

### RosettaRelatedOperationToJSON

- RosettaRelatedOperationToJSON(value?: RosettaRelatedOperation | null): any

- - Defined in src/generated/models/RosettaRelatedOperation.ts:51

  #### Parameters

  - ##### Optional value: RosettaRelatedOperation | null

  #### Returns any

### RosettaSignatureFromJSON

- RosettaSignatureFromJSON(json: any): RosettaSignature

- - Defined in src/generated/models/RosettaSignature.ts:71

  #### Parameters

  - ##### json: any

  #### Returns RosettaSignature

### RosettaSignatureFromJSONTyped

- RosettaSignatureFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaSignature

- - Defined in src/generated/models/RosettaSignature.ts:75

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaSignature

### RosettaSignatureToJSON

- RosettaSignatureToJSON(value?: RosettaSignature | null): any

- - Defined in src/generated/models/RosettaSignature.ts:88

  #### Parameters

  - ##### Optional value: RosettaSignature | null

  #### Returns any

### RosettaStatusRequestFromJSON

- RosettaStatusRequestFromJSON(json: any): RosettaStatusRequest

- - Defined in src/generated/models/RosettaStatusRequest.ts:43

  #### Parameters

  - ##### json: any

  #### Returns RosettaStatusRequest

### RosettaStatusRequestFromJSONTyped

- RosettaStatusRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaStatusRequest

- - Defined in src/generated/models/RosettaStatusRequest.ts:47

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaStatusRequest

### RosettaStatusRequestToJSON

- RosettaStatusRequestToJSON(value?: RosettaStatusRequest | null): any

- - Defined in src/generated/models/RosettaStatusRequest.ts:58

  #### Parameters

  - ##### Optional value: RosettaStatusRequest | null

  #### Returns any

### RosettaSubAccountFromJSON

- RosettaSubAccountFromJSON(json: any): RosettaSubAccount

- - Defined in src/generated/models/RosettaSubAccount.ts:36

  #### Parameters

  - ##### json: any

  #### Returns RosettaSubAccount

### RosettaSubAccountFromJSONTyped

- RosettaSubAccountFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaSubAccount

- - Defined in src/generated/models/RosettaSubAccount.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaSubAccount

### RosettaSubAccountToJSON

- RosettaSubAccountToJSON(value?: RosettaSubAccount | null): any

- - Defined in src/generated/models/RosettaSubAccount.ts:51

  #### Parameters

  - ##### Optional value: RosettaSubAccount | null

  #### Returns any

### RosettaTransactionFromJSON

- RosettaTransactionFromJSON(json: any): RosettaTransaction

- - Defined in src/generated/models/RosettaTransaction.ts:57

  #### Parameters

  - ##### json: any

  #### Returns RosettaTransaction

### RosettaTransactionFromJSONTyped

- RosettaTransactionFromJSONTyped(json: any, ignoreDiscriminator: boolean): RosettaTransaction

- - Defined in src/generated/models/RosettaTransaction.ts:61

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RosettaTransaction

### RosettaTransactionToJSON

- RosettaTransactionToJSON(value?: RosettaTransaction | null): any

- - Defined in src/generated/models/RosettaTransaction.ts:73

  #### Parameters

  - ##### Optional value: RosettaTransaction | null

  #### Returns any

### RunFaucetResponseFromJSON

- RunFaucetResponseFromJSON(json: any): RunFaucetResponse

- - Defined in src/generated/models/RunFaucetResponse.ts:42

  #### Parameters

  - ##### json: any

  #### Returns RunFaucetResponse

### RunFaucetResponseFromJSONTyped

- RunFaucetResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): RunFaucetResponse

- - Defined in src/generated/models/RunFaucetResponse.ts:46

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns RunFaucetResponse

### RunFaucetResponseToJSON

- RunFaucetResponseToJSON(value?: RunFaucetResponse | null): any

- - Defined in src/generated/models/RunFaucetResponse.ts:58

  #### Parameters

  - ##### Optional value: RunFaucetResponse | null

  #### Returns any

### ServerStatusResponseFromJSON

- ServerStatusResponseFromJSON(json: any): ServerStatusResponse

- - Defined in src/generated/models/ServerStatusResponse.ts:36

  #### Parameters

  - ##### json: any

  #### Returns ServerStatusResponse

### ServerStatusResponseFromJSONTyped

- ServerStatusResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): ServerStatusResponse

- - Defined in src/generated/models/ServerStatusResponse.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns ServerStatusResponse

### ServerStatusResponseToJSON

- ServerStatusResponseToJSON(value?: ServerStatusResponse | null): any

- - Defined in src/generated/models/ServerStatusResponse.ts:51

  #### Parameters

  - ##### Optional value: ServerStatusResponse | null

  #### Returns any

### SigningPayloadFromJSON

- SigningPayloadFromJSON(json: any): SigningPayload

- - Defined in src/generated/models/SigningPayload.ts:67

  #### Parameters

  - ##### json: any

  #### Returns SigningPayload

### SigningPayloadFromJSONTyped

- SigningPayloadFromJSONTyped(json: any, ignoreDiscriminator: boolean): SigningPayload

- - Defined in src/generated/models/SigningPayload.ts:71

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns SigningPayload

### SigningPayloadToJSON

- SigningPayloadToJSON(value?: SigningPayload | null): any

- - Defined in src/generated/models/SigningPayload.ts:84

  #### Parameters

  - ##### Optional value: SigningPayload | null

  #### Returns any

### TransactionIdentifierFromJSON

- TransactionIdentifierFromJSON(json: any): TransactionIdentifier

- - Defined in src/generated/models/TransactionIdentifier.ts:30

  #### Parameters

  - ##### json: any

  #### Returns TransactionIdentifier

### TransactionIdentifierFromJSONTyped

- TransactionIdentifierFromJSONTyped(json: any, ignoreDiscriminator: boolean): TransactionIdentifier

- - Defined in src/generated/models/TransactionIdentifier.ts:34

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns TransactionIdentifier

### TransactionIdentifierToJSON

- TransactionIdentifierToJSON(value?: TransactionIdentifier | null): any

- - Defined in src/generated/models/TransactionIdentifier.ts:44

  #### Parameters

  - ##### Optional value: TransactionIdentifier | null

  #### Returns any

### TransactionResultsFromJSON

- TransactionResultsFromJSON(json: any): TransactionResults

- - Defined in src/generated/models/TransactionResults.ts:48

  #### Parameters

  - ##### json: any

  #### Returns TransactionResults

### TransactionResultsFromJSONTyped

- TransactionResultsFromJSONTyped(json: any, ignoreDiscriminator: boolean): TransactionResults

- - Defined in src/generated/models/TransactionResults.ts:52

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns TransactionResults

### TransactionResultsToJSON

- TransactionResultsToJSON(value?: TransactionResults | null): any

- - Defined in src/generated/models/TransactionResults.ts:65

  #### Parameters

  - ##### Optional value: TransactionResults | null

  #### Returns any

### UnanchoredTransactionListResponseFromJSON

- UnanchoredTransactionListResponseFromJSON(json: any): UnanchoredTransactionListResponse

- - Defined in src/generated/models/UnanchoredTransactionListResponse.ts:36

  #### Parameters

  - ##### json: any

  #### Returns UnanchoredTransactionListResponse

### UnanchoredTransactionListResponseFromJSONTyped

- UnanchoredTransactionListResponseFromJSONTyped(json: any, ignoreDiscriminator: boolean): UnanchoredTransactionListResponse

- - Defined in src/generated/models/UnanchoredTransactionListResponse.ts:40

  #### Parameters

  - ##### json: any

  - ##### ignoreDiscriminator: boolean

  #### Returns UnanchoredTransactionListResponse

### UnanchoredTransactionListResponseToJSON

- UnanchoredTransactionListResponseToJSON(value?: UnanchoredTransactionListResponse | null): any

- - Defined in src/generated/models/UnanchoredTransactionListResponse.ts:51

  #### Parameters

  - ##### Optional value: UnanchoredTransactionListResponse | null

  #### Returns any

Generated using TypeDoc